.\"
.\" "$Id: backend.man 11793 2014-04-04 19:02:20Z msweet $"
.\"
.\" Backend man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH backend 7 CUPS "4 avril 2014" "Apple Inc."
.SH NOM
backend \- Programme de transmission de CUPS.
.SH SYNOPSIS
\fBbackend\fP
.br
\fBbackend\fP \fItravail\fP \fIidentifiant\fP \fItitre\fP \fInombre_copies\fP \fIoptions\fP [
\fIfichier\fP ]
.nf

\fB#include <cups/cups.h>\fP

\fBconst char *cupsBackendDeviceURI\fP(\fBchar **\fP\fIargv\fP);

\fBvoid cupsBackendReport\fP(\fBconst char *\fP\fIschéma_périph\fP,
                       \fBconst char *\fP\fIuri_périph\fP,
                       \fBconst char *\fP\fImarque_et_modéle_périph\fP,
                       \fBconst char *\fP\fIinfo_périph\fP,
                       \fBconst char *\fP\fIid_périph\fP,
                       \fBconst char *\fP\fIemplacement_périph\fP);

\fBssize_t cupsBackChannelWrite\fP(\fBconst char *\fP\fItampon\fP,
                             \fBt_taille \fP\fIoctets\fP, \fBdouble \fP\fIdélai\fP);

\fBint cupsSideChannelRead\fP(\fBcups_sc_command_t *\fP\fIcommande\fP,
                        \fBcups_sc_status_t *\fP\fIétat\fP, \fBchar *\fP\fIdonnées\fP,
                        \fBint *\fP\fItaille_données\fP, \fBdouble \fP\fIdélai\fP);

\fBint cupsSideChannelWrite\fP(\fBcups_sc_command_t \fP\fIcommande\fP,
                         \fBcups_sc_status_t \fP\fIétat\fP, \fBconst char *\fP\fIdonnées\fP,
                         \fBint *\fP\fItaille_données\fP, \fBdouble \fP\fIdélai\fP);
.fi
.SH DESCRIPTION
Les programmes de transmission de CUPS sont des filtres particuliers
(consultez \fBfilter\fP(7)) qui sont utilisés pour envoyer les données à
imprimer et découvrir les différents périphériques d'impression du système.
.LP
Comme les filtres, ils doivent être capables de lire depuis un nom de
fichier fourni sur la ligne de commande ou depuis l'entrée standard, en
copiant l'entrée standard vers un fichier temporaire, si nécessaire, pour
l'interface physique.
.LP
Le nom de la commande (\fIargv\fP[0]) est défini à la valeur de l'URI du
périphérique de l'imprimante de destination. Toute information
d'identification est retirée de \fIargv\fP[0], les développeurs des programmes
de transmission devraient utiliser la variable d'environnement \fBDEVICE_URI\fP
pour obtenir les informations d'identification quand cela est nécessaire. La
fonction \fBcupsBackendDeviceURI\fP() peut être utilisée pour récupérer la
valeur correcte de l'URI du périphérique.
.LP
Les données en retour du périphérique doivent être envoyées au filtre des
travaux en utilisant la fonction \fBcupsBackChannelWrite\fP.
.LP
Les programmes de transmission ont la charge de lire les requêtes des canaux
auxiliaires en utilisant la fonction \fBcupsSideChannelRead\fP() et en
répondant avec la fonction \fBcupsSideChannelWrite()\fP. La constante
\fBCUPS_SC_FD\fP précise le descripteur de fichier qui sera observé pour de
nouvelles requêtes.
.SS "DÉCOUVERTE DES PÉRIPHÉRIQUES"
Quand il est exécuté sans paramètre, le programme de transmission doit
afficher sur la sortie standard les périphériques et schémas qu'il gère ou
qu'il annonce. La sortie consiste en zéro ou plus de lignes de la forme
suivante\ :
.nf

    classe_périphérique schéma "Unknown" "info_périphérique"
    classe_périphérique URI_périphérique "marque_et_modèle_périphérique" "info_périphérique"
    classe_périphérique URI_périphérique "marque_et_modèle_périphérique" "info_périphérique" "id_périphérique"
    classe_périphérique URI_périphérique "marque_et_modèle_périphérique" "info_périphérique" "id_périphérique" "emplacement_périphérique"
.fi
.LP
La fonction \fBcupsBackendReport\fP() peut être utilisée pour créer ces lignes
et gérer les caractères de protection nécessaires dans les différentes
chaînes.
.LP
Le champ \fIclasse_périphérique\fP peut prendre une de ces valeurs\ :
.TP  5
\fIdirect\fP
L'URI du périphérique se réfère à un accès direct au périphérique, sans
option, comme pour un périphérique sur port parallèle, USB ou SCSI.
.TP  5
\fIfile\fP
L'URI du périphérique se réfère à un fichier sur le disque.
.TP  5
\fInetwork\fP
L'URI du périphérique se réfère à un périphérique réseau et respecte les
formes générales des URI réseau.
.TP  5
\fIserial\fP
L'URI du périphérique se réfère à un périphérique série avec une vitesse
configurable et d'autres options. Si l'URI du périphérique contient la
vitesse, elle représente la vitesse maximale gérée par le périphérique.
.LP
Le champ \fIschéma\fP fournit le schéma d'URI géré par le programme de
transmission. Les programmes de transmission ne doivent utiliser cette forme
que s'ils gèrent tout URI utilisant ce schéma. Le champ \fIuri_périphérique\fP
indique l'URI complet à utiliser pour la communication avec le périphérique.
.LP
Le champ \fImarque_et_modèle_périphérique\fP précise la marque et le modèle du
périphérique, par exemple «\ Exemple Foojet 2000\ ». Si la marque et le modèle
ne sont pas connus, vous devez indiquer «\ Inconnu\ ».
.LP
Le champ \fIinfo_périphérique\fP ajoute des informations à propos du
périphérique. Généralement cela comprend la marque et le modèle avec le
numéro de port ou l'adresse réseau, par exemple «\ Exemple Foojet 2000
USB\ n°1\ ».
.LP
Le champ optionnel \fIid_périphérique\fP indique l'identifiant IEEE\-1284 du
périphérique qui est utilisé pour sélectionner le pilote correspondant.
.LP
Le champ optionnel \fIemplacement_périphérique\fP indique l'emplacement
physique du périphérique qui est utilisé la plupart du temps pour
pré\-remplir l'emplacement du périphérique lors de l'ajout d'une imprimante.
.SS PERMISSIONS
Les programmes de transmission sans droit de lecture et d'exécution pour
tout le monde sont exécutés en tant que superutilisateur. Sinon, le
programme de transmission est exécuté en utilisant un compte non privilégié,
habituellement «\ lp\ ».
.SH "CODE DE RETOUR"
Les codes de retour suivants sont définis pour les programmes de
transmission\ :
.TP  5
\fBCUPS_BACKEND_OK\fP
Le fichier à imprimer a été transmis avec succès au périphérique ou au
serveur distant.
.TP  5
\fBCUPS_BACKEND_FAILED\fP
.br
Le fichier à imprimer n'a pas été transmis avec succès au périphérique ou au
serveur distant. L'ordonnanceur réagira en annulant le travail, réessayant
l'impression ou en stoppant la file d'impression en fonction de l'état de
l'attribut \fIprinter\-error\-policy\fP.
.TP  5
\fBCUPS_BACKEND_AUTH_REQUIRED\fP
Le fichier à imprimer n'a pas été transmis avec succès parce que des données
d'identification valables sont nécessaires. L'ordonnanceur réagira en
suspendant le travail et en ajoutant le mot clé
«\ cups\-held\-for\-authentication\ » à l'attribut de description de tâche
«\ job\-reasons\ ».
.TP  5
\fBCUPS_BACKEND_HOLD\fP
Le fichier à imprimer n'a pas été transmis avec succès parce qu'il ne peut
pas être imprimé à ce moment. L'ordonnanceur conservera le travail
d'impression.
.TP  5
\fBCUPS_BACKEND_STOP\fP
Le fichier à imprimer n'a pas été transmis avec succès parce qu'il ne peut
pas être imprimé à ce moment. L'ordonnanceur stoppera la file d'impression.
.TP  5
\fBCUPS_BACKEND_CANCEL\fP
Le fichier à imprimer n'a pas été transmis avec succès parce qu'un attribut
n'est pas géré ou le travail a été annulé à l'imprimante. L'ordonnanceur
répond à cela en annulant le travail d'impression.
.TP  5
\fBCUPS_BACKEND_RETRY\fP
Le fichier à imprimer n'a pas été transmis avec succès à cause d'un incident
temporaire. L'ordonnanceur tentera de relancer la tâche plus tard —\ les
autres tâches pourraient imprimer avant celle\-là.
.TP  5
\fBCUPS_BACKEND_RETRY_CURRENT\fP
Le fichier à imprimer n'a pas été transmis avec succès à cause d'un incident
temporaire. L'ordonnanceur tentera de relancer la tâche immédiatement en
empêchant d'autres tâches d'intervenir.
.PP
Tous les autres codes de retour sont réservés.
.SH ENVIRONNEMENT
En plus des variables d’environnement listées dans \fBcups\fP(1) et
\fBfilter\fP(7), les programmes peuvent attendre la variable d’environnement
suivante\ :
.TP  5
\fBDEVICE_URI\fP
L'URI du périphérique associé à l'imprimante.
.SH FICHIERS
\fI/etc/cups/cups\-files.conf\fP
.SH NOTES
Les programmes de transmission de CUPS ne sont généralement pas conçus pour
être lancés directement par l'utilisateur. À côté du problème lié à
l'adresse URI du périphérique (\fIargv\fP[0] et la variable d'environnement
\fBDEVICE_URI\fP contiennent l'adresse URI du périphérique), les programmes de
transmission de CUPS attendent également des variables d'environnement et
descripteurs de fichier spécifiques, et sont généralement lancés dans une
session utilisateur qui (sous OS\ X) possède des restrictions supplémentaires
et affecte la façon dont ils fonctionnent. Les programmes de transmission
peuvent également être installés avec des droits limités (0500 ou 0700) qui
informent l'ordonnanceur de les lancer avec les droits du superutilisateur
au lieu d'un utilisateur système non privilégié (comme «\ lp\ »).
.LP
À moins que vous ne soyez développeur, ou que vous sachiez ce que vous
faites, veuillez ne pas lancer les programmes de transmission directement. À
la place vous pouvez utiliser les programmes \fBlp\fP(1) ou \fBlpr\fP(1) pour
envoyer un travail d'impression ou le programme \fBlpinfo\fP(8) pour demander
quelles imprimantes disponibles utilisent le programme de transmission. La
seule exception est le programme de transmission SNMP —\ voir
\fBsnmpbackend\fP(8) pour plus d'information.
.SH "VOIR AUSSI"
\fBcups\fP(1), \fBcups\-files.conf\fP(5), \fBcups\-snmp\fP(8), \fBcupsd\fP(8),
\fBfilter\fP(7), \fBlp\fP(1), \fBlpinfo\fP(8), \fBlpr\fP(1),
.br
Aide en ligne de CUPS\ : <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: backend.man 11793 2014-04-04 19:02:20Z msweet $".
.\"
