.\"
.\" "$Id: cancel.man 11905 2014-06-03 18:46:30Z msweet $"
.\"
.\" cancel man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cancel 1 CUPS "15 avril 2014" "Apple Inc."
.SH NOM
cancel \- Annuler des travaux d'impression
.SH SYNOPSIS
\fBcancel\fP [ \fB\-E\fP ] [ \fB\-U\fP \fIidentifiant\fP ] [ \fB\-a\fP ] [ \fB\-h\fP
\fInom_hôte\fP[\fB:\fP\fIport\fP] ] [ \fB\-u\fP \fIidentifiant\fP ] [ \fB\-x\fP ] [ \fIid\fP ] [
\fIdestination\fP ] [ \fIid_destination\fP ]
.SH DESCRIPTION
La commande \fBcancel\fP annule les travaux d’impression. Si aucune
\fIdestination\fP ou \fIidentifiant\fP n’est indiqué, le travail d’impression en
cours sur la destination par défaut est annulé.
.SH OPTIONS
Les options suivantes sont reconnues par \fBcancel\fP\ :
.TP  5
\fB\-a\fP
Annuler tous les travaux sur la destination donnée, ou tous les travaux sur
toutes les destinations si aucune destination n'est fournie.
.TP  5
\fB\-E\fP
Obliger un chiffrement lors de la connexion au serveur.
.TP  5
\fB\-h\fP \fInom_hôte\fP[\fB:\fP\fIport\fP]
Indiquer un serveur alternatif.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Indiquer l'identifiant à utiliser pour les connexions au serveur.
.TP  5
\fB\-u\fP \fIidentifiant\fP
Annuler les travaux d'impression de l'\fIidentifiant\fP.
.TP  5
\fB\-x\fP
Supprimer les fichiers de données des travaux en plus de l’annulation
.SH CONFORMITÉ
Contrairement au système d'impression System\ V, les imprimantes CUPS peuvent
contenir n'importe quel caractère imprimable sauf ESPACE, TABULATION, «\ /\ »
ou «\ #\ ». De même, les noms d'imprimante et de classe ne sont \fBpas\fP
sensibles à la casse.
.SH EXEMPLES
Annuler le travail d’impression en cours\ :
.nf

    cancel

.fi
Annuler le travail d’impression «\ myprinter\-42\ »\ :
.nf

    cancel myprinter\-42

.fi
Annuler tous les travaux d'impression\ :
.nf

    cancel \-a
.fi
.SH NOTES
Les administrateurs qui souhaitent empêcher des annulations non autorisées
de travaux à l'aide de l'option \fB\-u\fP devraient obliger l'identification
pour les opérations dans le fichier \fIcupsd.conf\fP.
.SH "VOIR AUSSI"
\fBcupsd.conf\fP(5), \fBlp\fP(1), \fBlpmove\fP(8), \fBlpstat\fP(1), aide en ligne de
CUPS\ : <URL:\fIhttp://localhost:631/help\fP>)
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cancel.man 11905 2014-06-03 18:46:30Z msweet $".
.\"
