.\"
.\" "$Id: cups-config.man 11817 2014-04-15 16:31:11Z msweet $"
.\"
.\" cups-config man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cups\-config 1 CUPS "15 avril 2014" "Apple Inc."
.SH NOM
cups\-config \- Obtenir les informations sur l'API, la compilation, les
répertoires et les liens pour CUPS.
.SH SYNOPSIS
\fBcups\-config \-\-api\-version\fP
.br
\fBcups\-config \-\-build\fP
.br
\fBcups\-config \-\-cflags\fP
.br
\fBcups\-config \-\-datadir\fP
.br
\fBcups\-config \-\-help\fP
.br
\fBcups\-config \-\-ldflags\fP
.br
\fBcups\-config\fP [ \fB\-\-image\fP ] [ \fB\-\-static\fP ] \fB\-\-libs\fP
.br
\fBcups\-config \-\-serverbin\fP
.br
\fBcups\-config \-\-serverroot\fP
.br
\fBcups\-config \-\-version\fP
.br
.SH DESCRIPTION
La commande \fBcups\-config\fP permet aux développeurs d'application de
déterminer les options en ligne de commande nécessaires pour le compilateur
et l'éditeur de liens, ainsi que de déterminer les répertoires des filtres,
des fichiers de configuration et des pilotes. Toutes les valeurs sont
affichées sur la sortie standard.
.SH OPTIONS
\fBcups\-config\fP accepte les options de ligne de commande suivantes\ :
.TP  5
\fB\-\-api\-version\fP
Afficher la version d'API actuelle (majeur.mineur).
.TP  5
\fB\-\-build\fP
Afficher un numéro de compilation spécifique au système.
.TP  5
\fB\-\-cflags\fP
Afficher les options de compilations nécessaires.
.TP  5
\fB\-\-datadir\fP
Afficher le répertoire de données par défaut de CUPS.
.TP  5
\fB\-\-help\fP
Afficher un message d'aide d’utilisation du programme.
.TP  5
\fB\-\-image\fP
Lorsqu'elle est utilisée avec \fB\-\-libs\fP, cette option ajoute la bibliothèque
de gestion des images CUPS aux bibliothèques.
.TP  5
\fB\-\-ldflags\fP
Afficher les options nécessaires pour l'édition des liens.
.TP  5
\fB\-\-libs\fP
Afficher les bibliothèques nécessaires pour l'édition des liens.
.TP  5
\fB\-\-serverbin\fP
Afficher le répertoire par défaut des binaires, où se trouvent les filtres
et programmes de transmission.
.TP  5
\fB\-\-serverroot\fP
Afficher le répertoire du fichier de configuration par défaut de CUPS.
.TP  5
\fB\-\-static\fP
Lorsqu'elle est utilisée avec \fB\-\-libs\fP, les bibliothèques statiques seront
affichées au lieu des bibliothèques partagées qui sont affichées par défaut.
.TP  5
\fB\-\-version\fP
Afficher la version complète de l'installation CUPS (majeur.mineur.patch).
.SH EXEMPLES
Afficher la version actuellement installée de CUPS\ :
.nf

    cups\-config \-\-version

.fi
Compiler un filtre CUPS constitué d’un seul fichier\ :
.nf

    cc `cups\-config \-\-cflags \-\-ldflags` \-o filter filter.c \e
        `cups\-config \-\-libs`
.fi
.SH "VOIR AUSSI"
\fBcups\fP(1), aide en ligne de CUPS <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cups-config.man 11817 2014-04-15 16:31:11Z msweet $".
.\"
