.\"
.\" "$Id: cups-snmp.conf.man 11913 2014-06-10 19:00:24Z msweet $"
.\"
.\" snmp.conf man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH snmp.conf 5 CUPS 10\ juin\ 2014 "Apple Inc."
.SH NOM
snmp.conf \- Fichier de configuration SNMP pour CUPS
.SH DESCRIPTION
Le fichier \fIsnmp.conf\fP configure la façon dont les programmes de
transmission réseau de CUPS (http, https, ipp, ipps, lpd, snmp et socket)
accèdent aux informations de l'imprimante en utilisant SNMP version\ 1 et se
trouve normalement dans le répertoire \fI/etc/cups\fP. Chaque ligne du fichier
est une directive de configuration, une ligne vide ou un commentaire. Les
commentaires commencent par le caractère «\ #\ ».
.LP
Les directives Community et DebugLevel sont utilisées par tous les
programmes de transmission. Le reste ne s'applique qu'au programme de
transmission SNMP (\fBcups\-snmp\fP(8)).
.SH DIRECTIVES
Les directives suivantes sont comprises par les programmes de transmission
réseau\ :
.TP  5
\fBAddress @IF(\fP\fInom\fP\fB)\fP
.TP  5
\fBAddress @LOCAL\fP
.TP  5
\fBAddress\fP \fIadresse\fP
Émettre les requêtes SNMP (pour recherche) vers la ou les adresses
indiquées. Il n'y a pas de valeur par défaut pour l'adresse d'émission.
.TP  5
\fBCommunity\fP \fInom\fP
Indiquer le nom de communauté à utiliser. Il ne peut être indiqué qu'un seul
nom de communauté. La communauté par défaut est «\ public\ ».
.TP  5
\fBDebugLevel\fP \fInombre\fP
Indiquer le niveau de journalisation de \fB0\fP (aucun) à \fB3\fP
(tout). Généralement cela n'est utilisé qu'à des fins de débogage (d'où le
nom). Le niveau par défaut de débogage est \fB0\fP.
.TP  5
\fBDeviceURI "\fP\fIexp_rationnelle\fP\fB" \fP\fIuri_périphérique \fP[... \fIuri_périphérique\fP]
Indiquer un ou plusieurs URI de périphériques qui doivent être utilisés pour
une marque et un modèle. L'expression rationnelle est utilisée pour
correspondance avec la marque et le modèle, et les chaînes d’URI du
périphérique doivent être de la forme «\ schéma://%s[:port]/[chemin]\ », où
«\ %s\ » représente l'adresse détectée ou le nom d'hôte. Il n'y a pas de règle
d'harmonisation pour les schémas d’URI de périphériques.
.TP  5
\fBHostNameLookups\fP \fIon\fP
.TP  5
\fBHostNameLookups\fP \fIoff\fP
Définir si les adresses des imprimantes doivent être converties en noms
d'hôte ou doivent être laissées en adresses IP numériques. La valeur par
défaut est «\ off\ ».
.TP  5
\fBMaxRunTime\fP \fIsecondes\fP
Indiquer le nombre maximal de secondes entre les requêtes du programme de
transmission SNMP pour la découverte des imprimantes réseau. La valeur par
défaut est de 120\ secondes (2\ minutes).
.SH "VOIR AUSSI"
\fBcups\-snmp\fP(8), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cups-snmp.conf.man 11913 2014-06-10 19:00:24Z msweet $".
.\"
