.\"
.\" "$Id: cups.man 11822 2014-04-21 11:49:06Z msweet $"
.\"
.\" cups (intro) man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cups 1 CUPS "16 avril 2014" "Apple Inc."
.SH NOM
cups \- Système d’impression au code source ouvert, basé sur les standards
.SH DESCRIPTION
\fBCUPS\fP est le logiciel utilisé pour imprimer à partir d’applications telles
que traitement de texte, lecteur de courriels, éditeur d’images et
navigateur web. Il convertit les descriptions de page (mettre un paragraphe
ici, dessiner une ligne là,\ etc.) en quelque chose que l’imprimante puisse
comprendre, et ensuite envoie l’information vers l’imprimante.
.LP
Maintenant, comme chaque fabricant fait les choses à sa manière, une
impression peut être très compliquée. \fBCUPS\fP fait au mieux pour dissimuler
cela à l’application comme à l’utilisateur de façon que celui\-ci se
concentre sur l’impression sans se soucier de la manière de
faire. Généralement, la seule fois que l’utilisateur se soucie de son
imprimante, c’est lors de sa première utilisation, et même alors, \fBCUPS\fP
peut faire les choses de lui\-même.
.SS "COMMENT ÇA MARCHE\ ?"
Lors de la première impression, \fBCUPS\fP crée une file d’attente pour
conserver une trace de l’état actuel de l’imprimante (toutes choses OK, plus
de papier,\ etc.) et de toutes les pages imprimées. La plupart du temps la
file d’attente concerne l’imprimante connectée à votre ordinateur sur la
prise USB. Cependant, elle peut concerner une imprimante du réseau, une
imprimante sur Internet ou plusieurs imprimantes suivant la
configuration. Quelque soit l’endroit concerné par la file d’attente,
celles\-ci seront semblables à n’importe quelle autre imprimante pour les
applications et l’utilisateur.
.LP
Chaque fois qu’une impression est réalisée, \fBCUPS\fP crée un travail qui
contient la file d’attente à laquelle l’impression est envoyée, le nom du
document à imprimer, et les descriptions de page. Les travaux sont numérotés
(queue\-1, queue\-2,\ etc.) pour pouvoir contrôler l’impression du travail ou
son annulation en cas d’erreur. Lorsque \fBCUPS\fP accepte un travail
d’impression, il détermine les meilleurs programmes (filtres, pilotes
d’imprimante, écoute de ports et programmes de transmission) pour convertir
les pages dans un format imprimable et les exécuter pour réellement réaliser
l’impression.
.LP
Lorsque le travail d’impression est complètement terminé, \fBCUPS\fP retire le
travail de la file d’attente et commence tout autre travail demandé. Une
notification peut être aussi faite lorsque le travail est terminé, ou si une
erreur s’est produite, de différentes manières.
.SS "OÙ COMMENCER\ ?"
Le moyen le plus facile est de commencer avec l’interface web pour
configurer l’imprimante. Allez à l’adresse «\ http://localhost:631\ »,
choisissez l’onglet Administration au haut de la page, cliquez sur le bouton
«\ Add Printer\ » (ajouter une imprimante) et suivez les indications.
.LP
Lorsqu’un identifiant et un mot de passe sont demandés, entrez votre
identifiant de connexion et votre mot de passe, ou l’identifiant et mot de
passe du superutilisateur.
.LP
Après l’ajout de l’imprimante, les options par défaut de l’imprimante sont
demandées (taille de papier, mode de sortie,\ etc.). Faites tous les
changements nécessaires et cliquez sur le bouton «\ Set Default Options\ »
pour les enregistrer. Quelques imprimantes peuvent aussi s’auto\-configurer
—\ cliquez sur les boutons «\ Query Printer\ » (recherche imprimante) puis
«\ Default Options\ » (options par défaut) pour mettre à jour les options
automatiquement.
.LP
Une fois l’imprimante ajoutée, elle peut être utilisée à partir de n’importe
quelle application. Le bouton «\ Print Test Page\ » du menu de maintenance
permet d’imprimer une page simple de test et de vérifier le bon
fonctionnement général.
.LP
Les commandes \fBlpadmin\fP(8) et \fBlpinfo\fP(8) permettent d’ajouter des
imprimantes à \fBCUPS\fP. De plus, le système d’exploitation peut comporter une
interface graphique ou automatiquement créer une file d’attente d’impression
lors de la connexion de l’imprimante.
.SS "COMMENT OBTENIR DE L’AIDE\ ?"
Le site web de \fBCUPS\fP (<URL:\fIhttp://www.CUPS.org\fP>) permet
d’accéder aux listes de diffusion \fIcups\fP et \fIcups\-devel\fP, à des
informations et ressources complémentaires, et à la base de données des
rapports de bogue. La plupart des fournisseurs maintiennent des forums de
discussion en ligne, permettant de poser des questions pour votre système
d’exploitation.
.SH ENVIRONNEMENT
Les commandes de \fBCUPS\fP utilisent les variables d’environnement suivantes
pour outrepasser les emplacements de fichier,\ etc. Pour des raisons de
sécurité, ces variables sont ignorées par les programmes setuid\ :
.TP  5
\fBCUPS_ANYROOT\fP
Autoriser tout certificat racine X.509 (Oui ou Non).
.TP  5
\fBCUPS_CACHEDIR\fP
Le répertoire où se trouvent les fichiers cache semi\-persistant.
.TP  5
\fBCUPS_DATADIR\fP
Le répertoire où se trouvent les fichiers de données.
.TP  5
\fBCUPS_ENCRYPTION\fP
Le niveau de chiffrement par défaut (Always, IfRequested, Never, Required).
.TP  5
\fBCUPS_EXPIREDCERTS\fP
Autoriser les certificats X.509 périmés (Oui ou Non).
.TP  5
\fBCUPS_GSSSERVICENAME\fP
Le nom de service Kerberos utilisé pour authentification.
.TP  5
\fBCUPS_SERVER\fP
Le nom d’hôte ou adresse IP et le numéro de port de l’ordonnanceur CUPS
(nom_hôte:port ou adresse_ip:port).
.TP  5
\fBCUPS_SERVERBIN\fP
Le répertoire où trouver les programmes d’assistance du serveur, les
filtres, les programmes de transmission,\ etc.
.TP  5
\fBCUPS_SERVERROOT\fP
Le répertoire racine du serveur.
.TP  5
\fBCUPS_STATEDIR\fP
Le répertoire où trouver les fichiers d’état.
.TP  5
\fBCUPS_USER\fP
Indiquer le nom d'utilisateur pour les requêtes d’impression.
.TP  5
\fBHOME\fP
Définir le répertoire personnel (home) de l’utilisateur actuel.
.TP  5
\fBIPP_PORT\fP
Indiquer le numéro de port par défaut pour les requêtes IPP.
.TP  5
\fBLOCALEDIR\fP
Définir l’emplacement des fichiers d’internationalisation.
.TP  5
\fBLPDEST\fP
Indiquer la file d’attente par défaut (standard System\ V).
.TP  5
\fBPRINTER\fP
Indiquer la file d’attente par défaut (standard Berkeley).
.TP  5
\fBTMPDIR\fP
Définir l’emplacement des fichiers temporaires.
.SH FICHIERS
.nf
\fI~/.cups/client.conf\fP
\fI~/.cups/lpoptions\fP
.fi
.SH CONFORMITÉ
\fBCUPS\fP se conforme au protocole «\ Internet Printing Protocol\ » version\ 2.1
et met en œuvre les commandes d’impression des systèmes UNIX Berkeley et
System\ V.
.SH "VOIR AUSSI"
\fBcancel\fP(1), \fBclient.conf\fP(7), \fBcupsctl\fP(8), \fBcupsd\fP(8), \fBlp\fP(1),
\fBlpadmin\fP(8), \fBlpinfo\fP(8), \fBlpoptions\fP(1), \fBlpr\fP(1), \fBlprm\fP(1),
\fBlpq\fP(1), \fBlpstat\fP(1), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>, site web de CUPS
<URL:\fIhttp://www.CUPS.org\fP>, PWG Internet Printing Protocol
Workgroup <URL:\fIh://www.pwg.org/ipp\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cups.man 11822 2014-04-21 11:49:06Z msweet $".
.\"
