.\"
.\" "$Id: cupsctl.man 11920 2014-06-11 19:03:59Z msweet $"
.\"
.\" cupsctl man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 2007 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cupsctl 8 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
cupsctl \- Configurer les options de cupsd.conf
.SH SYNOPSIS
\fBcupsctl\fP [ \fB\-E\fP ] [\fB\-U\fP \fIidentifiant\fP ] [ \fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
] [ \fB\-\-\fP[\fBno\-\fP]\fBdebug\-logging\fP ] [ \fB\-\-\fP[\fBno\-\fP]\fBremote\-admin\fP ] [
\fB\-\-\fP[\fBno\-\fP]\fBremote\-any\fP ] [ \fB\-\-\fP[\fBno\-\fP]\fBshare\-printers\fP] [
\fB\-\-\fP[\fBno\-\fP]\fBuser\-cancel\-any\fP ] [ \fInom=valeur\fP ]
.SH DESCRIPTION
\fBcupsctl\fP met à jour ou interroge le fichier \fIcupsd.conf\fP d'un
serveur. Quand aucun changement n'est demandé, les valeurs de configuration
en cours sont affichées sur la sortie standard sous la forme «\ nom=valeur\ »,
une par ligne.
.SH OPTIONS
Les options suivantes sont reconnues\ :
.TP  5
\fB\-E\fP
Activer le chiffrement de la connexion à l'ordonnanceur.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Indiquer un autre identifiant à utiliser pour l'identification auprès de
l'ordonnanceur.
.TP  5
\fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
Définir l'adresse du serveur.
.TP  5
\fB\-\-\fP[\fBno\-\fP]\fBdebug\-logging\fP
Activer ou désactiver la journalisation d'informations de débogage dans le
fichier \fIerror_log\fP.
.TP  5
\fB\-\-\fP[\fBno\-\fP]\fBremote\-admin\fP
Activer ou désactiver l'administration à distance.
.TP  5
\fB\-\-\fP[\fBno\-\fP]\fBremote\-any\fP
Activer ou désactiver l'impression depuis n'importe quelle adresse, par
exemple depuis Internet.
.TP  5
\fB\-\-\fP[\fBno\-\fP]\fBshare\-printers\fP
Activer ou désactiver le partage d'imprimantes locales avec d'autres
ordinateurs.
.TP  5
\fB\-\-\fP[\fBno\-\fP]\fBuser\-cancel\-any\fP
Permettre ou interdire aux utilisateurs d'annuler les travaux d'autres
utilisateurs.
.SH EXEMPLES
Afficher la configuration actuelle\ :
.nf

    cupsctl

.fi
Activer la journalisation d'informations de débogage.
.nf

    cupsctl \-\-debug\-logging

.fi
Récupérer l'état de la journalisation d'informations de débogage\ :
.nf

    cupsctl | grep '^_debug_logging' | awk \-F= '{print $2}'

.fi
Désactiver le partage d'imprimantes\ :
.nf

    cupsctl \-\-no\-share\-printers
.fi
.SH "PROBLÈMES CONNUS"
Il n’est pas possible de régler les paramètres \fIListen\fP ou \fIPort\fP en
utilisant \fBcupsctl\fP.
.SH "VOIR AUSSI"
\fBcupsd.conf\fP(5), \fBcupsd\fP(8)
.br
Aide en ligne de CUPS\ : <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cupsctl.man 11920 2014-06-11 19:03:59Z msweet $".
.\"
