.\"
.\" "$Id: cupsd-logs.man 11920 2014-06-11 19:03:59Z msweet $"
.\"
.\" cupsd-logs man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cupsd\-logs 5 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
cupsd\-logs \- Fichiers de journalisation de cupsd (access_log, error_log et
page_log)
.SH DESCRIPTION
\fBcupsd\fP(8) entretient habituellement trois fichiers de journal\ :
\fIaccess_log\fP pour suivre les requêtes soumises à l’ordonnanceur,
\fIerror_log\fP pour suivre le déroulement et les erreurs et \fIpage_log\fP pour
suivre l’impression des pages. Les directives de configuration dans
\fIcupsd.conf\fP et \fIcups\-files.conf\fP déterminent quelles informations sont
journalisées et leur lieu de stockage.
.SS "FORMAT DU FICHIER ACCES LOG"
Le fichier \fIaccess_log\fP liste chaque ressource HTTP jointe par un
navigateur ou client web. Chaque ligne est une version étendue du format
appelé «\ Common Log Format\ » utilisé par de nombreux serveurs web et outils
de compte\-rendu web\ :
.nf

    \fIhôte groupe utilisateur date\-heure \fP"\fIméthode ressource version\fP" \fIétat octets
      ipp\-opération ipp\-état\fP

.fi
Par exemple\ :
.nf

    10.0.1.2 \- \- [01/Dec/2005:21:50:28 +0000] "POST / HTTP/1.1" 200 317
      CUPS\-Get\-Printers successful\-ok\-ignored\-or\-substituted\-attributes
    localhost \- \- [01/Dec/2005:21:50:32 +0000] "GET /admin HTTP/1.1"
      200 0 \- \-
    localhost \- \- [01/Dec/2005:21:50:32 +0000] "POST / HTTP/1.1"
      200 157 CUPS\-Get\-Printers
      successful\-ok\-ignored\-or\-substituted\-attributes
    localhost \- \- [01/Dec/2005:21:50:32 +0000] "POST / HTTP/1.1"
      200 1411 CUPS\-Get\-Devices \-
    localhost \- \- [01/Dec/2005:21:50:32 +0000] "GET /admin HTTP/1.1"
      200 6667 \- \-

.fi
Le champ \fIhost\fP se compose uniquement d’une adresse IP à moins que la
directive ne soit activée dans le fichier \fIcupsd.conf\fP ou que l’adresse IP
corresponde à votre machine locale.
.LP
Le champ \fIgroupe\fP contient toujours «\ \-\ ».
.LP
Le champ \fIutilisateur\fP est l’identifiant authentifié de l’auteur de la
requête. Si aucun identifiant et mot de passe ne sont fournis pour la
requête, alors ce champ contient «\ \-\ ».
.LP
Le champ \fIdate\-heure\fP se compose des date et heure locales de la requête
dans le format «\ [DD/MON/YYYY:HH:MM:SS\ +ZZZZ]\ ».
.LP
Le champ \fIméthode\fP est la méthode HTTP utilisée\ : «\ GET\ », «\ HEAD\ »,
«\ OPTIONS\ », «\ POST\ » ou «\ PUT\ ». Les requêtes «\ GET\ » sont utilisées pour
obtenir des fichiers du serveur, à la fois pour l’interface web et pour
obtenir les fichiers de configuration et de journal. Les requêtes «\ HEAD\ »
sont utilisées pour obtenir de l’information avant un «\ GET\ ». Les requêtes
«\ OPTIONS\ » sont utilisées pour basculer les connexions en chiffrement
TLS.Les requêtes «\ POST\ » sont utilisées pour les formulaires de l’interface
web et les requêtes IPP. Les requêtes «\ PUT\ » sont utilisées pour téléverser
les fichiers de configuration.
.LP
Le champ \fIressource\fP est le nom de fichier de la ressource demandée.
.LP
Le champ \fIversion\fP est la spécification de version HTTP utilisée par le
client. Pour les clients, cela sera toujours «\ HTTP/1.1\ ».
.LP
Le champ \fIétat\fP contient l’état HTTP résultant de la requête de la manière
qui suit\ :
.RS 5
.TP  5
200
Opération réussie.
.TP  5
201
Fichier créé ou modifié avec succès.
.TP  5
304
Le fichier demandé n’a pas changé.
.TP  5
400
Mauvaise requête HTTP\ ; généralement cela signifie qu’un programme malicieux
essaie d’accéder au serveur.
.TP  5
401
Non autorisé, une authentification est nécessaire (identifiant\ +\ mot de
passe).
.TP  5
403
Accès interdit\ ; généralement cela signifie qu’un client essaie d’accéder à
un fichier ou à une ressource, sans la permission d’accès.
.TP  5
404
Ce fichier ou cette ressource n’existe pas.
.TP  5
405
La méthode d’accès à l’URL n’est pas permise\ ; généralement cela signifie
que le navigateur web utilise le serveur comme un mandataire.
.TP  5
413
Requête trop importante\ ; généralement cela signifie qu’un client essaie
d’imprimer un fichier plus important que MaxRequestSize n’autorise.
.TP  5
426
Basculer en connexion chiffrée avec TLS.
.TP  5
500
Erreur du serveur\ ; généralement cela se produit lorsque le serveur est
incapable de créer ou ouvrir un fichier\ ; consultez le journal d’erreur pour
plus de détails.
.TP  5
501
Le client demande un chiffrement mais la prise en charge d’un chiffrement
n’est pas activée ou intégrée.
.TP  5
505
Numéro de version HTTP non pris en charge\ ; généralement cela signifie qu’un
programme malicieux essaie d’accéder au serveur.
.RE
.LP
Le champ \fIoctets\fP contient le nombre d’octets de la requête. Pour les
requêtes POST, le champ octets contient le nombre d’octets de données non
IPP reçues du client.
.LP
Le champ \fIipp\-opération\fP contient soit «\ \-\ » pour les requêtes non IPP, ou
le nom d’opération IPP pour les requêtes POST contenant une requête IPP.
.LP
Le champ \fIipp\-état\fP contient soit «\ \-\ » pour les requêtes non IPP, ou le
nom de code d’état IPP pour les requêtes POST contenant une réponse IPP.
.SS "FORMAT DU FICHIER DE JOURNAL D’ERREURS"
Le fichier \fIerror_log\fP liste les messages de l’ordonnanceur —\ erreurs,
avertissements,\ etc. La directive LogLevel dans le fichier \fIcupsd.conf\fP
détermine quels messages sont journalisés\ :
.nf

    niveau date\-heure message

.fi
Par exemple\ :
.nf

    I [20/May/1999:19:18:28 +0000] [Job 1] Queued on 'DeskJet' by 'mike'.
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[0]="DeskJet"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[1]="1"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[2]="mike"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[3]="myjob"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[4]="1"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[5]="media=
      na_letter_8.5x11in sides=one\-sided"
    D [20/May/1999:19:18:28 +0000] [Job 1] argv[6]="/var/spool/cups/
      d000001\-001"
    I [20/May/1999:19:21:02 +0000] [Job 2] Queued on 'DeskJet' by 'mike'.
    I [20/May/1999:19:22:24 +0000] [Job 2] Canceled by 'mike'.

.fi
Le champ \fIlevel\fP contient le type of message\ :
.TP  5
A
Message d’alerte (LogLevel alert)
.TP  5
C
Message d’erreur critique (LogLevel crit)
.TP  5
D
Messages de débogage (LogLevel debug)
.TP  5
d
Messages de débogage détaillés (LogLevel debug2)
.TP  5
E
Messages d’erreur normaux (LogLevel error)
.TP  5
I
Messages d'information (LogLevel info).
.TP  5
N
Messages d’annonce (LogLevel notice)
.TP  5
W
Messages d’avertissement (LogLevel warn)
.TP  5
X
Messages d’erreur urgents (LogLevel emerg)
.LP
Le champ \fIdate\-time\fP contient la date et heure du début d’impression de la
page. Le format de ce champ est identique au format du champ date\-heure du
fichier \fIaccess_log\fP.
.LP
Le champ \fImessage\fP contient un message textuel de forme libre. Les messages
des filtres de travail sont préfixés avec «\ [Job NNN]\ » où «\ NNN\ » est
l’identifiant du travail.
.SS "FORMAT DE PAGE DE JOURNAL"
Le fichier \fIpage_log\fP liste chaque page ou groupe de pages envoyées à
l’imprimante. Par défaut, chaque ligne contient les informations suivantes\ :
.nf

    \fIimprimante utilisateur identifiant_travail date_heure numéro_page
      nombre_copies facturation_travail nom_hôte_origine_travail
      nom_travail media faces\fP

    \fIimprimante utilisateur identifiant_travail date_heure \fP\fBtotal \fP
      \fInombre_impressions facturation_travail nom_hôte_origine_travail
      nom_travail media faces\fP

.fi
Par exemple, les entrées pour un travail de deux pages appelé «\ myjob\ » peut
ressembler à\ :
.nf

    DeskJet root 1 [20/May/1999:19:21:05 +0000] 1 1 acme\-123
      localhost myjob na_letter_8.5x11in one\-sided
    DeskJet root 1 [20/May/1999:19:21:05 +0000] 2 1 acme\-123
      localhost myjob na_letter_8.5x11in one\-sided

    DeskJet root 1 [20/May/1999:19:21:06 +0000] total 2 acme\-123
      localhost myjob na_letter_8.5x11in one\-sided

.fi
La directive PageLogFormat dans le fichier \fIcupsd.conf\fP peut être utilisée
pour changer cette information.
.LP
Le champ \fIprinter\fP contient le nom de l’imprimante ayant imprimé la
page. Si le travail est envoyé à une classe d’imprimantes, ce champ contient
le nom de l’imprimante à laquelle la tâche est assignée.
.LP
Le champ \fIutilisateur\fP contient le nom de l’utilisateur (l’attribut IPP
requesting\-user\-name) qui a demandé l’impression.
.LP
Le champ \fIidentifiant_travail\fP contient le numéro de travail de la page en
cours d’impression.
.LP
Le champ \fIdate_heure\fP contient la date et l’heure de démarrage de
l’impression de la page. Le format de ce champ est identique au format du
champ date_heure du fichier \fIaccess_log\fP.
.LP
Les champs \fInuméro_page\fP et \fInombre_copies\fP contiennent le numéro de page
et le nombre de copies imprimées. Pour les imprimantes qui ne peuvent
d’elles\-mêmes faire plusieurs copies, le nombre de copies sera toujours
\fB1\fP.
.LP
Les lignes contenant le mot\-clef «\ total\ » ont un champ
\fInombre_impressions\fP à la place qui indique le nombre total d’impressions
(faces) faites pendant le travail.
.LP
Le champ \fIfacturation_travail\fP contient une copie des attributs job\-billing
ou job\-account\-id fournis par les requêtes IPP Create\-Job ou Print\-Job, ou
«\ \-\ » si aucune n’a été faite.
.LP
Le champ \fInom_hôte_origine_travail\fP contient le nom d’hôte ou l’adresse IP
du client qui a imprimé le travail.
.LP
Le champ \fInom_travail\fP contient une copie de l’attribut job\-name fourni par
les requêtes IPP Create\-Job ou Print\-Job ou «\ \-\ » si aucune n’a été faite.
.LP
Le champ \fImedia\fP contient une copie de l’attribut media ou
media\-col/media\-size fourni par les requêtes IPP Create\-Job ou Print\-Job ou
«\ \-\ » si aucune n’a été faite.
.LP
Le champ \fIfaces\fP contient une copie de l’attribut sides fourni par les
requêtes IPP Create\-Job ou Print\-Job ou «\ \-\ » si aucune n’a été faite.
.SH "VOIR AUSSI"
\fBcupsd\fP(8), \fBcupsd.conf\fP(5), \fBcups\-files.conf\fP(5), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cupsd-logs.man 11920 2014-06-11 19:03:59Z msweet $".
.\"
