.\"
.\" "$Id: cupsfilter.man 11920 2014-06-11 19:03:59Z msweet $"
.\"
.\" cupsfilter man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cupsfilter 8 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
cupsfilter \- Convertir un fichier vers un autre format en utilisant les
filtres CUPS
.SH SYNOPSIS
\fBcupsfilter\fP [ \fB\-\-list\-filters\fP ] [ \fB\-D\fP ] [ \fB\-U\fP \fIutilisateur\fP ] [
\fB\-c\fP \fIfichier_configuration\fP ] [ \fB\-d\fP \fIimprimante\fP ] [ \fB\-e\fP ] [ \fB\-i\fP
\fItype/mime\fP ] [ \fB\-j\fP \fIid\-tâche[,N]\fP ] [ \fB\-m\fP \fItype/mime\fP ] [ \fB\-n\fP
\fIcopies\fP ] [ \fB\-o\fP \fInom=valeur\fP ] [ \fB\-p\fP \fInom_fichier.ppd\fP ] [ \fB\-t\fP
\fItitre\fP ] [ \fB\-u\fP ] \fInom_fichier\fP
.SH DESCRIPTION
\fBcupsfilter\fP est une interface pour le système de filtres de CUPS qui vous
permet de convertir un fichier dans un format spécifique, comme si vous
aviez imprimé le fichier avec CUPS. Par défaut, \fBcupsfilter\fP génère un
fichier PDF. Le fichier transformé est dirigé vers la sortie standard.
.SH OPTIONS
.TP  5
\fB\-\-list\-filters\fP
Ne pas réellement exécuter les filtres, seulement afficher les filtres
utilisés sur la sortie standard.
.TP  5
\fB\-D\fP
Effacer le fichier d'entrée après la conversion.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Indiquer l'identifiant à passer aux filtres. Par défaut c'est le nom de
l'utilisateur courant.
.TP  5
\fB\-c \fP\fIfichier_configuration\fP
Utiliser le fichier de configuration \fIcups\-files.conf\fP donné.
.TP  5
\fB\-d\fP \fIimprimante\fP
Utiliser des informations de l'imprimante nommée.
.TP  5
\fB\-e\fP
Utiliser tous les filtres du fichier PPD.
.TP  5
\fB\-i\fP \fItype/mime\fP
Indiquer le type du fichier source. La valeur par défaut est déduite en
utilisant le nom de fichier et son contenu.
.TP  5
\fB\-j\fP \fIid_tâche[,N]\fP
Convertir le document N depuis le travail indiqué. Si N est omis, le
document \fB1\fP sera converti.
.TP  5
\fB\-m\fP \fItype/mime\fP
Indiquer le type du fichier de destination. La valeur par défaut est
application/pdf. Utiliser imprimante/toto pour convertir dans le format
précis de l'imprimante avec les filtres du fichier PPD.
.TP  5
\fB\-n \fP\fIcopies\fP
Indiquer le nombre de copies à faire.
.TP  5
\fB\-o\fP \fInom=valeur\fP
Indiquer les options à fournir aux filtres CUPS.
.TP  5
\fB\-p\fP \fInom_fichier.ppd\fP
Définir le fichier PPD à utiliser.
.TP  5
\fB\-t\fP \fItitre\fP
Définir le titre du document.
.TP  5
\fB\-u\fP
Effacer le fichier PPD après la conversion.
.SH "CODE DE RETOUR"
\fBcupsfilter\fP renvoie un état de sortie différent de zéro lors de toute
erreur.
.SH ENVIRONNEMENT
Toutes les variables standards d’environnement de \fBcups\fP(1) affectent les
opérations de \fBcupsfilter\fP.
.SH FICHIERS
.nf
/etc/cups/cups\-files.conf
/etc/cups/*.convs
/etc/cups/*.types
/usr/share/cups/mime/*.convs
/usr/share/cups/mime/*.types
.SH NOTES
Au contraire de l’impression, les filtres utilisés par la commande
\fBcupsfilter\fP s’appliquent avec l’utilisateur et la session de sécurité en
cours. Cela peut conduire à une sortie différente ou un comportement
inattendu.
.SH EXEMPLE
La commande suivante créera une prévisualisation PDF du travail\ 42 pour une
imprimante nommée «\ myprinter\ » et enregistrée dans un fichier nommé
«\ preview.pdf\ »\ :
.nf

    cupsfilter \-m application/pdf \-d myprinter \-j 42 >preview.pdf
.fi
.SH "VOIR AUSSI"
\fBcups\fP(1), \fBcupsd.conf\fP(5), \fBfilter(7),\fP \fBmime.convs\fP(7),
\fBmime.types\fP(7), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cupsfilter.man 11920 2014-06-11 19:03:59Z msweet $".
.\"
