.\"
.\" "$Id: cupstestppd.man 11920 2014-06-11 19:03:59Z msweet $"
.\"
.\" cupstestppd man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH cupstestppd 1 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
cupstestppd \- Tester la conformité des fichiers PPD.
.SH SYNOPSIS
\fBcupstestppd\fP [\fB\-I\fP \fIcatégorie\fP[ \fB\-R\fP \fIrép_racine\fP ] [ \fB\-W\fP
\fIcatégorie\fP ] [ \fB\-q\fP ] [\fB\-r\fP] [ \fB\-v\fP[\fBv\fP] ] \fInom_fichier.ppd[.gz]\fP [
\&... \fInom_fichier.ppd[.gz]\fP ]
.br
\fBcupstestppd\fP [ \fB\-R\fP \fIrép_racine\fP ] [ \fB\-W\fP \fIcatégorie\fP ] [ \fB\-q\fP ]
[\fB\-r\fP] [ \fB\-v\fP[\fBv\fP] ] \fB\-\fP
.SH DESCRIPTION
\fBcupstestppd\fP teste la conformité des fichiers PPD à la spécification de
format de fichier édictée par Adobe, «\ Adobe PostScript Printer
Description\ » dans sa version\ 4.3. Cette commande peut également être
utilisée pour voir la liste des options reconnues et des polices disponibles
d'un fichier PPD. Toutes les sorties sont effectuées sur la sortie standard.
.LP
Le premier mode d'appel de \fBcupstestppd\fP teste un ou plusieurs fichiers PPD
fournis sur la ligne de commande. Le second mode d'appel teste le fichier
PPD fourni sur l'entrée standard.
.SH OPTIONS
\fBcupstestppd\fP gère les options suivantes\ :
.TP  5
\fB\-I\fP \fInom_fichier\fP
Ignorer tous les avertissements PCFileName.
.TP  5
\fB\-I\fP \fIfiltres\fP
Ignorer toutes les erreurs sur les filtres.
.TP  5
\fB\-I\fP \fIprofils\fP
Ignorer toutes les erreurs de profil.
.TP  5
\fB\-R\fP \fIrép_racine\fP
Définir un autre répertoire racine pour vérifications de filtre, pré\-filtre
et autres fichiers pris en charge.
.TP  5
\fB\-W\fP \fIconstraints\fP
Signaler toutes les erreurs UIConstraint comme des avertissements.
.TP  5
\fB\-W\fP \fIdefaults\fP
À l'exception des options liées à la taille, signaler toutes les erreurs sur
les options par défaut comme des avertissements.
.TP  5
\fB\-W\fP \fIfilters\fP
Rapporter toutes les erreurs sur les filtres comme des avertissements.
.TP  5
\fB\-W\fP \fIprofiles\fP
Rapporter toutes les erreurs sur les profils comme des avertissements.
.TP  5
\fB\-W\fP \fIsizes\fP
Rapporter toutes les erreurs sur la taille des médias comme des
avertissements.
.TP  5
\fB\-W\fP \fItranslations\fP
Rapporter toutes les erreurs de conversion comme des avertissements.
.TP  5
\fB\-W\fP \fIall\fP
Rapporter toutes les erreurs précédentes comme des avertissements.
.TP  5
\fB\-W\fP \fInone\fP
Rapporter toutes les erreurs précédentes comme des erreurs.
.TP  5
\fB\-q\fP
Ne pas afficher d’information.
.TP  5
\fB\-r\fP
Réduire les exigences de conformité des PPD de telle sorte que les espaces
simples, les caractères de contrôle et les problèmes de format ne soient pas
traités comme des erreurs fatales.
.TP  5
\fB\-v\fP
Demander l'affichage des résultats détaillés des tests de conformité au lieu
des états concis PASS/FAIL/ERROR.
.TP  5
\fB\-vv\fP
Afficher toutes les informations d'un fichier PPD en plus des résultats
détaillés des tests de conformité.
.LP
Les options \fB\-q\fP, \fB\-v\fP et \fB\-vv\fP sont mutuellement exclusives.
.SH "CODE DE RETOUR"
\fBcupstestppd\fP renvoie \fB0\fP en cas de réussite aux tests et une valeur
différente de \fB0\fP en cas d’erreur. Les codes d'erreur sont les suivants\ :
.TP  5
1
Paramètres de la ligne de commandes incorrects ou nom de fichier PPD
manquant.
.TP  5
2
Impossible d'ouvrir ou de lire le fichier PPD.
.TP  5
3
Le fichier PPD contient des erreurs de format ne pouvant être ignorées.
.TP  5
4
Le fichier PPD n'est pas conforme à la spécification Adobe.
.SH EXEMPLES
La commande suivante teste tous les fichiers PPD du répertoire courant et
affiche le nom de ceux qui ne sont pas conformes\ :
.nf

    find . \-name \e*.ppd \e! \-exec cupstestppd \-q '{}' \e; \-print

.fi
La commande suivante teste tous les fichiers PPD du répertoire courant et
affiche les résultats détaillés des tests de conformité pour les fichiers
qui ne sont pas conformes\ :
.nf

    find . \-name \e*.ppd \e! \-exec cupstestppd \-q '{}' \e; \e
        \-exec cupstestppd \-v '{}' \e;
.fi
.SH "VOIR AUSSI"
\fBlpadmin\fP(8), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>, Adobe PostScript Printer
Description File Format Specification, Version\ 4.3.
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: cupstestppd.man 11920 2014-06-11 19:03:59Z msweet $".
.\"
