.\"
.\" "$Id: filter.man 11793 2014-04-04 19:02:20Z msweet $"
.\"
.\" filter man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2007 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH filter 7 CUPS "4 avril 2014" "Apple Inc."
.SH NOM
filter \- Interface pour des filtres de conversion de fichiers pour CUPS.
.SH SYNOPSIS
\fBfilter\fP \fItravail\fP \fIutilisateur\fP \fItitre\fP \fInombre_copies\fP \fIoptions\fP[
\fInom_fichier\fP ]
.nf

\fB#include <cups/cups.h>\fP

\fBssize_t cupsBackChannelRead\fP(\fBchar *\fP\fItampon\fP, \fBsize_t \fP\fIoctets\fP,
                            \fBdouble \fP\fIdélai\fP);

\fBcups_sc_status_t cupsSideChannelDoRequest\fP(\fBcups_sc_command_t \fP\fIcommande\fP,
                                          \fBchar *\fP\fIdonnées\fP, \fBint *\fP\fItaille_données\fP,
                                          \fBdouble \fP\fIdélai\fP);

\fB#include <cups/ppd.h>\fP

\fBconst char *cupsGetOption\fP(\fBconst char *\fP\fInom\fP, \fBint \fP\fInombre_options\fP,
                 \fBcups_option_t *\fP\fIoptions\fP);

\fBint cupsMarkOptions\fP(\fBppd_file_t *\fP\fIppd\fP, \fBint \fP\fInombre_options\fP,
                    \fBcups_option_t *\fP\fIoptions\fP);

\fBint cupsParseOptions\fP(\fBconst char *\fP\fIarg\fP, \fBint \fP\fInombre_options\fP,
                     \fBcups_option_t **\fP\fIoptions\fP);

\fBppd_choice_t *ppdFindMarkedChoice\fP(\fBppd_file_t *\fP\fIppd\fP, \fBconst char *\fP\fImot_clef\fP);

\fBvoid ppdMarkDefaults\fP(\fBppd_file_t *\fP\fIppd\fP);

\fBppd_file_t *ppdOpenFile\fP(\fBconst char *\fP\fIfichier\fP);
.fi
.SH DESCRIPTION
L’interface de filtres CUPS offre une méthode standard de prise en charge
par CUPS de nouveaux types de documents ou d’imprimantes. Chaque filtre est
capable de convertir des fichiers de différents formats dans un autre format
qui est soit imprimable directement, soit envoyé dans un autre filtre afin
de le rendre imprimable.
.LP
Les filtres \fBdoivent\fP être capables de lire depuis un nom de fichier fourni
sur la ligne de commande, ou depuis l'entrée standard en copiant l'entrée
standard vers un fichier temporaire si nécessaire pour ce format de
fichier. Toutes les sorties \fBdoivent\fP être envoyées sur la sortie
standard. Les filtres \fBne doivent pas\fP essayer de communiquer directement
avec l’imprimante, d’autres processus ou d’autres services.
.LP
Le nom de la commande (\fIargv\fP[0]) vaut le nom de l'imprimante de
destination, mais est également disponible dans la variable d'environnement
\fBPRINTER\fP.
.SH OPTIONS
Les options sont passées dans \fIargv[5]\fP et sont encodées à partir des
attributs IPP correspondants utilisés lors de soumission du
travail. Utilisez la fonction \fBcupsParseOptions\fP() pour charger les options
dans le tableau \fBcups_option_t\fP et la fonction \fBcupsGetOption\fP() pour
obtenir la valeur d’un certain attribut. Soyez attentif à rechercher les
alias courants des attributs IPP tels que «\ lansdscape\ » pour l’attribut
«\ orientation\-requested\ ».
.LP
Les options passées sur la ligne de commande habituellement n’incluent pas
les choix par défaut du fichier PPD de l’imprimante. Utilisez les fonctions
\fBppdMarkDefaults\fP() et \fBcupsMarkOptions\fP() de la bibliothèque CUPS pour
appliquer les options pour PPD par défaut et lier tout attribut IPP à
l’option PPD correspondante. Utilisez la fonction \fBppdFindMarkedChoice\fP()
pour obtenir le choix de l’utilisateur sélectionné pour une option PPD. Par
exemple, un filtre peut utiliser le code suivant pour déterminer la valeur
actuelle de l’option PPD \fBDuplex\fP\ :
.nf

    ppd_file_t *ppd = ppdOpenFile(getenv("PPD"));
    cups_option_t *options = NULL;
    int num_options = cupsParseOptions(argv[5], 0, &options);

    ppdMarkDefaults(ppd);
    cupsMarkOptions(ppd, num_options, options);

    ppd_choice_t *choice = ppdFindMarkedChoice(ppd, "Duplex");
.fi
.LP
Les filtres matriciels devraient utiliser le choix d’options passées par
l’en\-tête de la page matricielle, puisque celles\-ci renvoient les options
utilisées sur une page donnée. Les options passées sur la ligne de commande
déterminent les valeurs par défaut pour le travail en entier, et peuvent
être outrepassées en les définissant page par page.
.SH "MESSAGES JOURNALISÉS"
Les messages envoyés à la sortie d'erreur sont généralement enregistrés dans
l'attribut «\ printer\-state\-message\ » et dans le journal \fIErrorLog\fP
actuel. Chaque ligne commence par un préfixe standard\ :
.TP  5
\fBALERT: \fP\fImessage\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ alert\ ».
.TP  5
\fBATTR: \fP\fIattribut=valeur \fP[ \fI... attribut=valeur\fP]
Définir la tâche nommée ou la(es) propriété(s) de l'imprimante. La propriété
de travail suivante peut être paramétrée\ : «\ job\-media\-progress\ ». Les
propriétés d'imprimante suivantes peuvent être paramétrées\ :
«\ auth\-info\-required\ », «\ marker\-colors\ », «\ marker\-high\-levels\ »,
«\ marker\-levels\ », «\ marker\-low\-levels\ », «\ marker\-message\ »,
«\ marker\-names\ », «\ marker\-types\ », «\ printer\-alert\ » et
«\ printer\-alert\-description\ ».
.TP  5
\fBCRIT: \fP\fImessage\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ critical\ ».
.TP  5
\fBDEBUG: \fP\fImessage\fP
Ajouter le message indiqué au fichier actuel \fIErrorLog\fP en utilisant le
niveau de journalisation «\ debug\ ». Les messages \fBDEBUG\fP ne sont jamais
stockés dans l’attribut «\ printer\-state\-message\ ».
.TP  5
\fBDEBUG2: \fP\fImessage\fP
.br
Ajouter le message indiqué au fichier actuel \fIErrorLog\fP en utilisant le
niveau de journalisation «\ debug2\ ». Les messages \fBDEBUG2\fP ne sont jamais
stockés dans l’attribut «\ printer\-state\-message\ ».
.TP  5
\fBEMERG: \fP\fImessage\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ emergency\ ».
.TP  5
\fBERROR:\fP\fI message\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ error\ ».
.TP  5
\fBINFO:\fP\fI message\fP
Définir l'attribut «\ printer\-state\-message\ ». Si \fBLogLevel\fP vaut
«\ debug2\ », le message est également ajouté au journal actuel \fIErrorLog\fP en
utilisant le niveau de journalisation «\ info\ ».
.TP  5
\fBNOTICE:\fP\fI message\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ notice\ ».
.TP  5
\fBPAGE:\fP\fI numéro_page #\-copies\fP
.TP  5
\fBPAGE:\fP\fI total #\-pages\fP
Ajouter une entrée au fichier \fIPageLog\fP actuel. La première forme ajoute le
nombre de copies à l'attribut «\ job\-media\-sheets\-completed\ ». La seconde
forme définit l'attribut «\ job\-media\-sheets\-completed\ » au nombre de pages.
.TP  5
\fBPPD:\fP\fI Mot_clef=Valeur\fP [ \fI... Mot_clefN=Valeur\fP ]
Définir les mots\-clefs dans le fichier PPD de l'imprimante. Cela est
généralement utilisé pour mettre à jour les options de mots\-clefs par défaut
telles que \fBDefaultPageSize\fP et les nombreuses options insérables dans le
fichier PPD.
.TP  5
\fBSTATE:\fP\fI raison\-état\-imprimante\fP [ \fI... raison\-état\-imprimante\fP]
.TP  5
\fBSTATE: +\fP\fI raison\-état\-imprimante\fP[ \fI... raison\-état\-imprimante\fP ]
.TP  5
\fBSTATE: \-\fP\fI raison\-état\-imprimante\fP[ \fI...raison\-état\-imprimante\fP]
Définir, ajouter ou retirer des mots\-clefs «\ raison\-état\-imprimante\ » de la
file d'attente en cours. C'est utilisé généralement pour indiquer l'état du
média, de l'encre et de l'encre en poudre (toner) d'une imprimante.
.TP  5
\fBWARNING:\fP\fI message\fP
Définir l'attribut «\ printer\-state\-message\ » et ajouter le message donné au
journal \fIErrorLog\fP actuel en utilisant le niveau de journalisation
«\ warning\ ».
.SH "VARIABLES D'ENVIRONNEMENT"
Les variables d'environnement suivantes sont définies par le serveur CUPS
pour l'exécution des filtres\ :
.TP  5
\fBCHARSET\fP
Définir le jeu de caractères par défaut à utiliser pour les textes,
généralement «\ utf\-8\ ».
.TP  5
\fBCLASS\fP
Quand un travail est soumis à une classe d'imprimantes, elle contient le nom
de la classe d'imprimante concernée. Sinon, cette variable d'environnement
n'est pas définie.
.TP  5
\fBCONTENT_TYPE\fP
Le type MIME de média associé au fichier de travail soumis, par exemple
«\ application/postscript\ ».
.TP  5
\fBCUPS_CACHEDIR\fP
Le répertoire où peuvent se trouver et être stockés les fichiers cache
semi\-persistants.
.TP  5
\fBCUPS_DATADIR\fP
Le répertoire où se trouvent les fichiers de données.
.TP  5
\fBCUPS_FILETYPE\fP
Le type du fichier en cours d'impression\ : «\ job\-sheet\ » pour une page avec
bannière et «\ document\ » pour un fichier d’impression normal.
.TP  5
\fBCUPS_MAX_MESSAGE\fP
La taille maximale d'un message envoyé à la sortie d'erreur, incluant
n'importe quel préfixe et le caractère de nouvelle ligne.
.TP  5
\fBCUPS_SERVERROOT\fP
Le répertoire racine du serveur.
.TP  5
\fBFINAL_CONTENT_TYPE\fP
Le type MIME de média associé à la sortie prévue pour l'imprimante, par
exemple «\ application/vnd.cups\-postscript\ ».
.TP  5
\fBLANG\fP
La locale de langue par défaut (généralement \fBC\fP ou \fBen\fP).
.TP  5
\fBPATH\fP
Le chemin d'exécution standard pour les programmes externes qui peuvent être
exécutés par le filtre.
.TP  5
\fBPPD\fP
Le chemin complet du fichier PPD («\ PostScript Printer Description\ ») de
cette imprimante.
.TP  5
\fBPRINTER\fP
Le nom de l'imprimante.
.TP  5
\fBRIP_CACHE\fP
La quantité de mémoire recommandée pour les RIP («\ Raster Image
Processors\ »).
.TP  5
\fBSOFTWARE\fP
Le nom et le numéro de version du serveur (par exemple
CUPS/\fImajeur.mineur\fP).
.TP  5
\fBTZ\fP
Le fuseau horaire du serveur
.TP  5
\fBUSER\fP
L'utilisateur qui exécute le filtre, généralement «\ lp\ » ou «\ root\ »\ ;
consultez le fichier \fIcups\-files.conf\fP pour le paramétrage actuel.
.SH CONFORMITÉ
Alors que l'interface des filtres est compatible avec les scripts
d'interface Système\ V, elle ne fonctionnera avec le script d'interface
Système\ V que comme filtre unique. Normalement, le script d'interface sera
fourni par la commande \fBlpadmin\fP(8) en utilisant l'option \fB\-i\fP.
.SH NOTES
Les filtres CUPS ne sont pas faits pour être lancés directement par
l'utilisateur. À côté des problèmes liés à l'ancienne interface System\ V
(\fIargv[0]\fP est le nom de l'imprimante), les filtres de CUPS attendent
également des variables d'environnement et descripteurs de fichiers
spécifiques, et sont généralement lancés dans une session utilisateur qui
(sous OS\ X) possèdent des restrictions supplémentaires qui affectent la
façon dont ils fonctionnent. À moins que vous ne soyez un développeur ou que
vous sachiez ce que vous faites, veuillez ne pas lancer les filtres
directement. À la place veuillez utiliser le programme \fBcupsfilter(8)\fP pour
utiliser les filtres adéquats pour effectuer la conversion dont vous avez
besoin.
.SH "VOIR AUSSI"
\fBbackend\fP(7), \fBcups\fP(1), \fBcups\-files.conf\fP(5), \fBcupsd\fP(8),
\fBcupsfilter\fP(8),
.br
Aide en ligne de CUPS\ : <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: filter.man 11793 2014-04-04 19:02:20Z msweet $".
.\"
