.\"
.\" "$Id: ippfind.man 11938 2014-06-22 12:44:05Z msweet $"
.\"
.\" ippfind man page for CUPS.
.\"
.\" Copyright 2013-2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH ippfind 1 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
ippfind \- Trouver des imprimantes utilisant le protocole internet
d’impression
.SH SYNOPSIS
\fBippfind\fP [ \fIoptions\fP ]
\fItype_exp_rat\fP[\fB,\fP\fIsous\-type\fP][\fB.\fP\fIdomaine\fP\fB.\fP] ... [ \fIexpression\fP
\&... ]
.br
\fBippfind\fP [ \fIoptions\fP ] \fInom\fP[\fB.\fP\fItype_exp_rat\fP[\fB.\fP\fIdomaine\fP\fB.\fP]]
\&... [ \fIexpression\fP ... ]
.br
\fBippfind\fP \fB\-\-help\fP
.br
\fBippfind\fP \fB\-\-version\fP
.SH DESCRIPTION
\fBippfind\fP trouve les services enregistrés avec un serveur DNS ou disponible
à travers des périphériques locaux. Son but principal est de trouver les
imprimantes et afficher leurs URI, leur état actuel, ou exécuter des
commandes.
.SS "TYPES DE DÉCLARATION"
\fBippfind\fP gère les types d’enregistrement suivants\ :
.TP  5
_http._tcp
HyperText Transport Protocol (HTTP, RFC\ 2616)
.TP  5
_https._tcp
Secure HyperText Transport Protocol (HTTPS, RFC\ 2818)
.TP  5
_ipp._tcp
Internet Printing Protocol (IPP, RFC\ 2911)
.TP  5
_ipps._tcp
Secure Internet Printing Protocol (IPPS, ébauche)
.TP  5
_printer._tcp
Line Printer Daemon (LPD, RFC\ 1179)
.SS EXPRESSIONS
\fBippfind\fP prend en charge les expressions de façon similaire à l’utilitaire
\fBfind\fP(1). Cependant, à la différence de \fBfind\fP(1), \fBippfind\fP utilise des
expressions rationnelles au lieu de modèles de correspondance de nom de
fichier par un interpréteur de commandes.  Si \fB\-\-exec\fP, \fB\-l\fP, \fB\-\-ls\fP,
\fB\-p\fP, \fB\-\-print\fP, \fB\-\-print\-name\fP, \fB\-q\fP, \fB\-\-quiet\fP, \fB\-s\fP, ou \fB\-x\fP n’est
pas précisé, \fBippfind\fP ajoute \fB\-\-print\fP pour écrire l’URI du service de
toute chose trouvée. Les expressions suivantes sont prises en charge\ :
.TP  5
\fB\-d \fP\fIexp_rationnelle\fP
.TP  5
\fB\-\-domain \fP\fIexp_rationnelle\fP
Vrai si le domaine correspond à l’expression rationnelle fournie.
.TP  5
\fB\-\-false\fP
Toujours faux
.TP  5
\fB\-h \fP\fIexp_rationnelle\fP
.TP  5
\fB\-\-host \fP\fIexp_rationnelle\fP
Vrai si le nom d’hôte correspond à l’expression rationnelle fournie.
.TP  5
\fB\-l\fP
.TP  5
\fB\-\-ls\fP
Lister les attributs renvoyés par Get\-Printer\-Attributes pour les
imprimantes et la sortie traditionnelle de \fIfind\ \-ls\fP pour les URL HTTP. Le
résultat est vrai si l’URI peut être obtenu, faux autrement.
.TP  5
\fB\-\-local\fP
Vrai si le service est local pour cette imprimante.
.TP  5
\fB\-n \fP\fIexp_rationnelle\fP
.TP  5
\fB\-\-name \fP\fIexp_rationnelle\fP
Vrai si le nom d’instance du service correspond à l’expression rationnelle
fournie.
.TP  5
\fB\-\-path \fP\fIexp_rationnelle\fP
Vrai si le chemin de la ressource de l’URI correspond à l’expression
rationnelle fournie.
.TP  5
\fB\-P \fP\fInuméro\fP[\fB\-\fP\fInuméro\fP]
.TP  5
\fB\-\-port \fP\fInuméro\fP[\fB\-\fP\fInuméro\fP]
Vrai si le port correspond au numéro ou à l’intervalle.
.TP  5
\fB\-p\fP
.TP  5
\fB\-\-print\fP
Afficher l’URI si le résultat des expressions précédentes est vrai. Le
résultat est toujours vrai.
.TP  5
\fB\-q\fP
.TP  5
\fB\-\-quiet\fP
Mode laconique —\ seuls les codes de retour sont renvoyés à la suite.
.TP  5
\fB\-r\fP
.TP  5
\fB\-\-remote\fP
Vrai si le service n’est pas local à cette imprimante.
.TP  5
\fB\-s\fP
.TP  5
\fB\-\-print\-name\fP
Afficher le nom l’instance du service si le résultat des expressions
précédentes est vrai. Le résultat est toujours vrai.
.TP  5
\fB\-\-true\fP
Toujours vrai
.TP  5
\fB\-t \fP\fIclef\fP
.TP  5
\fB\-\-txt \fP\fIclef\fP
Vrai si l’enregistrement TXT contient la clef citée.
.TP  5
\fB\-\-txt\-\fP\fIclef exp_rationnelle\fP
Vrai si l’enregistrement TXT contient la clef citée et correspond à
l’expression rationnelle fournie.
.TP  5
\fB\-u \fP\fIexp_rationnelle\fP
.TP  5
\fB\-\-uri \fP\fIexp_rationnelle\fP
Vrai si l’URI correspond à l’expression rationnelle fournie.
.TP  5
\fB\-x \fP\fIutilitaire \fP[ \fIargument \fP... ] \fB;\fP
.TP  5
\fB\-\-exec \fP\fIutilitaire \fP[ \fIargument \fP... ] \fB;\fP
Exécuter le programme indiqué si le résultat actuel est vrai. Les arguments
«\ {toto}\ » sont remplacés par leur valeur correspondante —\ consultez
SUBSTITUTIONS ci\-dessous.
.PP
Les expressions peuvent aussi contenir des modificateurs\ :
.TP  5
\fB( \fP\fIexpression \fP\fB)\fP
Classer le résultat des expressions.
.TP  5
\fB! \fP\fIexpression\fP
.TP  5
\fB\-\-not \fP\fIexpression\fP
Opération logique NON sur l’expression.
.TP  5
\fIexpression expression\fP
.TP  5
\fIexpression \fP\fB\-\-and \fP\fIexpression\fP
Opération logique ET sur les expressions.
.TP  5
\fIexpression \fP\fB\-\-or \fP\fIexpression\fP
Opération logique OU sur les expressions.
.SS SUBSTITUTIONS
Les substitutions pour «\ {toto}\ » dans \fB\-e\fP et \fB\-\-exec\fP sont les
suivantes\ :
.TP  5
\fB{service_domain}\fP
Nom de domaine, par exemple «\ example.com.\ », «\ local.\ »,\ etc.
.TP  5
\fB{service_hostname}\fP
Nom de domaine complet, par exemple «\ printer.example.com.\ »,
«\ printer.local.\ »,\ etc.
.TP  5
\fB{service_name}\fP
Nom de l’instance du service, par exemple «\ Mon excellente imprimante\ ».
.TP  5
\fB{service_port}\fP
Numéro de port pour le serveur, habituellement \fB631\fP pour IPP et \fB80\fP pour
HTTP.
.TP  5
\fB{service_regtype}\fP
Type d’enregistrement DNS\-SD, par exemple «\ _ipp._tcp\ »,
«\ _http._tcp\ »,\ etc.
.TP  5
\fB{service_scheme}\fP
Schéma d’URI pour le type d’enregistrement DNS\-SD, par exemple «\ ipp\ »,
«\ http\ »,\ etc.
.TP  5
\fB{}\fP
.TP  5
\fB{service_uri}\fP
URI pour le service, par exemple, «\ ipp://printer.local./ipp/print\ »,
«\ http://printer.local./\ »,\ etc.
.TP  5
\fB{txt_\fP\fIclef\fP\fB}\fP
Valeur de l’enregistrement TXT \fIclef\fP (minuscules).
.SH OPTIONS
\fBippfind\fP gère les options suivantes\ :
.TP  5
\fB\-\-help\fP
Afficher un message d'aide.
.TP  5
\fB\-\-version\fP
Afficher la version du programme.
.TP  5
\fB\-4\fP
Utiliser IPv4 lors de l’écoute.
.TP  5
\fB\-6\fP
Utiliser IPv6 lors de l’écoute.
.TP  5
\fB\-T \fP\fIsecondes\fP
Indiquer le délai de recherche en seconde. Si égal à \fB1\fP ou moins,
\fBippfind\fP stoppera aussitôt qu’il pensera avoir tout trouvé. Par défaut,
\fB1\fP\ seconde.
.TP  5
\fB\-V \fP\fIversion\fP
Indiquer la version d’IPP pour l’écoute. Les valeurs prises en charge sont
«\ 1.1\ », «\ 2.0\ », «\ 2.1\ » et «\ 2.2\ ».
.SH "CODE DE RETOUR"
\fBippfind\fP renvoie \fB0\fP si le résultat de toutes les expressions examinées
est vrai, \fB1\fP si le résultat de n’importe quelle expression est fausse,
\fB2\fP si la lecture, la requête ou la résolution échouent, \fB3\fP si une option
non reconnue ou expression non valable était indiquée, et \fB4\fP pour un
dépassement de mémoire.
.SH ENVIRONNEMENT
Lors de l’exécution d’un programme, \fBippfind\fP définit les variables
d’environnement suivantes pour l’enregistrement de service correspondant\ :
.TP  5
\fBIPPFIND_SERVICE_DOMAIN\fP
Nom de domaine, par exemple «\ example.com.\ », «\ local.\ »,\ etc.
.TP  5
\fBIPPFIND_SERVICE_HOSTNAME\fP
Nom de domaine complet, par exemple «\ printer.example.com.\ »,
«\ printer.local.\ »,\ etc.
.TP  5
\fBIPPFIND_SERVICE_NAME\fP
Nom de l’instance du service, par exemple «\ Mon excellente imprimante\ ».
.TP  5
\fBIPPFIND_SERVICE_PORT\fP
Numéro de port pour le serveur, habituellement \fB631\fP pour IPP et \fB80\fP pour
HTTP.
.TP  5
\fBIPPFIND_SERVICE_REGTYPE\fP
Type d’enregistrement DNS\-SD, par exemple «\ _ipp._tcp\ »,
«\ _http._tcp\ »,\ etc.
.TP  5
\fBIPPFIND_SERVICE_SCHEME\fP
Schéma d’URI pour le type d’enregistrement DNS\-SD, par exemple «\ ipp\ »,
«\ http\ »,\ etc.
.TP  5
\fBIPPFIND_SERVICE_URI\fP
URI pour le service, par exemple, «\ ipp://printer.local./ipp/print\ »,
«\ http://printer.local./\ »,\ etc.
.TP  5
\fBIPPFIND_TXT_\fP\fICLEF\fP
Valeurs des enregistrements TXT \fICLEF\fP (majuscules).
.SH EXEMPLES
Pour afficher l’état de toutes les imprimantes IPP enregistrées, exécutez\ :
.nf

    ippfind \-\-ls

.fi
De même, pour envoyer une page de test PostScript à toutes les imprimantes
PostScript, exécutez\ :
.nf

    ippfind \-\-txt\-pdl application/postscript \-\-exec ipptool
      \-f onepage\-letter.ps '{}' print\-job.test \e;
.fi
.SH "VOIR AUSSI"
\fBipptool\fP(1)
.SH COPYRIGHT
Copyright 2013\-2014 par Apple Inc.
.\"
.\" End of "$Id: ippfind.man 11938 2014-06-22 12:44:05Z msweet $".
.\"
