.\"
.\" "$Id$"
.\"
.\" ippserver man page for CUPS.
.\"
.\" Copyright 2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH ippserver 1 CUPS 28\ août\ 2014 "Apple Inc."
.SH NOM
ippserver \- Simple serveur IPP (Internet Printing Protocol)
.SH SYNOPSIS
\fBippserver\fP [ \fB\-2\fP ] [ \fB\-M\fP \fIfabricant\fP ] [ \fB\-P\fP ] [ \fB\-c\fP \fIcommande\fP
] [ \fB\-d\fP \fIrép_spool\fP ] [ \fB\-f\fP \fItype/sous\-type[,...]\fP ] [ \fB\-h\fP ] [ \fB\-i\fP
\fIicône.png\fP ] [ \fB\-k\fP ] [ \fB\-l\fP \fIemplacement\fP ] [ \fB\-m\fP \fImodèle\fP ] [
\fB\-n\fP \fIhôte\fP ] [ \fB\-p\fP \fIport\fP ] [ \fB\-r\fP \fIsous\-type\fP ] [ \fB\-s\fP
\fIvitesse[,vitesse_couleur\-]\fP ] [ \fB\-v[vvv]\fP ] \fIservice\fP
.SH DESCRIPTION
\fBippserver\fP est un simple serveur IPP (Internet Printing Protocol) conforme
à la spécification IPP Everywhere (PWG\ 5100.14). Il peut être utilisé pour
tester le logiciel client ou agir comme un serveur d’impression très basique
qui exécute une commande pour chaque travail à accomplir.
.SH OPTIONS
Les options suivantes sont reconnues par \fBippserver\fP\ :
.TP  5
\fB\-2\fP
Déclaration de prise en charge de l’impression recto\-verso (duplex).
.TP  5
\fB\-M \fP\fIfabricant\fP
Définir le fabricant de l’imprimante. Par défaut, «\ Test\ ».
.TP  5
\fB\-P\fP
Déclarer la prise en charge d’une imprimante matricielle.
.TP  5
\fB\-c \fP\fIcommande\fP
Exécuter la commande indiquée pour chaque document imprimé.
.TP  5
\fB\-d \fP\fIrép_spool\fP
Indiquer le répertoire qui contiendra les fichiers à imprimer. Par défaut,
c'est un répertoire dans le répertoire temporaire actuel de l’utilisateur.
.TP  5
\fB\-f \fP\fItype/sous\-type[,...]\fP
Indiquer les types MIME de média que le serveur acceptera. Par défaut,
«\ application/pdf,image/jpeg,image/pwg\-raster\ ».
.TP  5
\fB\-h\fP
Afficher l’aide du programme.
.TP  5
\fB\-i \fP\fIicône.png\fP
Indiquer le fichier d’icône de l’imprimante. Par défaut, «\ printer.png\ ».".
.TP  5
\fB\-k\fP
Conserver les documents dans le répertoire de spool plutôt que de les
détruire.
.TP  5
\fB\-l\fP \fIemplacement\fP
Définir la chaîne compréhensible aux utilisateurs de l’emplacement, indiquée
par le serveur. Par défaut, une chaîne vide.
.TP  5
\fB\-m \fP\fImodèle\fP
Définir le nom de modèle de l’imprimante. Par défaut, «\ Printer\ ».
.TP  5
\fB\-n \fP\fInom_hôte\fP
Définir le nom d’hôte complet renvoyé par le serveur. Par défaut, le nom
renvoyé par la commande \fBhostname\fP(1).
.TP  5
\fB\-p \fP\fIport\fP
Indiquer le numéro de port à écouter. Par défaut, un numéro défini par
l’utilisateur de \fB8000\fP à \fB8999\fP.
.TP  5
\fB\-r \fP\fIsous\-type\fP
Indiquer le(s) sous\-type(s) à notifier.  Les sous\-types sont à séparer par
des virgules. Par défaut, «\ _print_».
.TP  5
\fB\-s \fP\fIvitesse[,vitesse_couleur]\fP
Indiquer la vitesse de l’imprimante en page par minute. Si deux nombres sont
indiqués et que le deuxième nombre soit supérieur à zéro, le serveur
déclarera une prise en charge de la couleur. Par défaut, «\ 10,0\ ».
.TP  5
\fB\-v[vvv]\fP
Journaliser de manière (très) détaillée l’activité sur la sortie standard.
.SH "CODE DE RETOUR"
Le programme \fBippserver\fP renvoie \fB1\fP s’il est incapable de traiter les
arguments de la ligne de commande ou d’enregistrer le service IPP. Sinon
\fBippserver\fP continuera jusqu’à la fin de la commande.
.SH CONFORMITÉ
Le programme \fBippserver\fP est spécifique à CUPS et est conforme à la
spécification IPP Everywhere (PWG\ 5100.14).
.SH ENVIRONNEMENT
\fBippserver\fP ajoute des variables d’environnement commençant par «\ IPP_\ »
pour tous les attributs de travaux IPP dans la requête d’impression. Par
exemple lors de l’exécution d’une commande pour un travail IPP contenant
l’attribut de modèle de travail «\ media\ », la variable d’environnement
«\ IPP_MEDIA\ » sera définie à la valeur de cet attribut.
.LP
Les valeurs numériques sont converties à leurs mots\-clefs équivalents. Par
exemple, un attribut de modèle de travail «\ print\-quality\ » avec une valeur
de\ \fB3\fP deviendra une variable d’environnement «\ IPP_PRINT_QUALITY\ » avec
comme valeur «\ draft\ » (brouillon).
.SH EXEMPLES
Exécuter \fBippserver\fP avec un nom de service de Ma Super Imprimante\ :
.nf

    ippserver "Ma Super Imprimante"
.fi
.LP
Exécuter la commande \fBfile\fP(1) à chaque fois qu’un travail est envoyé au
serveur\ :
.nf

    ippserver \-c file "Ma Super Imprimante"
.fi
.SH "VOIR AUSSI"
PWG Internet Printing Protocol Workgroup
(<URL:\fIhttp://www.pwg.org/ipp\fP>)
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id$".
.\"
