.\"
.\" "$Id: ipptool.man 12140 2014-08-30 01:51:22Z msweet $"
.\"
.\" ipptool man page for CUPS.
.\"
.\" Copyright 2010-2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH ipptool 1 CUPS 29\ août\ 2014 "Apple Inc."
.SH NOM
ipptool \- Réaliser des requêtes d’impression par internet
.SH SYNOPSIS
\fBipptool\fP [ \fB\-\-help\fP ] [ \fB\-\-stop\-after\-include\-error\fP ] [ \fB\-\-version\fP ]
[ \fB\-4\fP ] [ \fB\-6\fP ] [ \fB\-C\fP ] [ \fB\-E\fP ] [ \fB\-I\fP ] [ \fB\-L\fP ] [ \fB\-P\fP
\fIfichier.plist\fP ] [ \fB\-S\fP ] [ \fB\-T\fP \fIsecondes\fP ] [ \fB\-V\fP \fIversion\fP ] [
\fB\-X\fP ] [ \fB\-c\fP ] [ \fB\-d\fP \fInom=valeur\fP ] [ \fB\-f\fP \fIfichier\fP ] [ \fB\-i\fP
\fIsecondes\fP ] [ \fB\-n\fP \fInombre_répétitions\fP] [ \fB\-q\fP ] [ \fB\-t\fP ] [ \fB\-v\fP ]
\fIuri_imprimante\fP \fIfichier_test\fP [ ...  \fIfichier_test\fP ]
.SH DESCRIPTION
\fBipptool\fP envoie des requêtes IPP à l’\fIuri_imprimante\fP indiqué et teste en
affichant ou pas les résultats. Chaque fichier nommé \fIfichier_test\fP définit
une ou plusieurs requêtes, incluant les états, les attributs, et les valeurs
des réponses attendus. La sortie est soit du texte pur, du texte formaté,
CSV ou un compte\-rendu XML affiché sur la sortie standard, avec un état
d’erreur non nul signifiant qu’un ou plusieurs tests ont échoués. Le format
du \fIfichier_test\fP est décrit dans \fBipptoolfile\fP(5).
.SH OPTIONS
Les options suivantes sont reconnues par \fBipptool\fP\ :
.TP  5
\fB\-\-help\fP
Afficher l’aide du programme.
.TP  5
\fB\-\-stop\-after\-include\-error\fP
Indiquer à \fBipptool\fP d’arrêter si une erreur survient dans un fichier
inclus. Normalement \fBipptool\fP continuera les tests suivants après la
directive INCLUDE.
.TP  5
\fB\-\-version\fP
Afficher la version de \fBipptool\fP utilisée.
.TP  5
\fB\-4\fP
Indiquer que \fBipptool\fP doit se connecter à l’imprimante ou au serveur en
utilisant IPv4.
.TP  5
\fB\-6\fP
Indiquer que \fBipptool\fP doit se connecter à l’imprimante ou au serveur en
utilisant IPv6.
.TP  5
\fB\-C\fP
Indiquer que les requêtes doivent être envoyées avec l’en\-tête de HTTP/1.1
«\ Transfer\-Encoding:\ chunked\ », comme exigé pour conformité par toutes les
versions de IPP. Par défaut «\ Transfer\-Encoding:\ chunked\ » est utilisé pour
les requêtes avec des fichiers joints et «\ Content\-Length:\ » pour des
requêtes sans fichier joint
.TP  5
\fB\-E\fP
Forcer le chiffrement TLS lors de la connexion au serveur en utilisant
l’en\-tête HTTP «\ Upgrade\ ».
.TP  5
\fB\-I\fP
Indiquer que \fBipptool\fP continuera après les erreurs.
.TP  5
\fB\-L\fP
Indiquer que les requêtes seront envoyées avec l’en\-tête HTTP/1.0
«\ Content\-Length:\ », comme exigé pour conformité par toutes les versions de
IPP. Par défaut «\ Transfer\-Encoding:\ chunked\ » est utilisé pour les requêtes
avec fichiers joints et «\ Content\-Length:\ » pour celles sans fichier joint.
.TP  5
\fB\-P\fP\fI\ nom_fichier.plist\fP
Indiquer que les résultats de test devront être écrits dans le XML nommé
(plist d’Apple) en plus du rapport de test normal \fB\-t\fP. Cette option est
incompatible avec les options \fB\-i\fP (intervalle) et \fB\-n\fP
(nombre_répétitions).
.TP  5
\fB\-S\fP
Forcer le chiffrement TLS dédié lors de la connexion au serveur.
.TP  5
\fB\-T\fP\fI\ secondes\fP
Définir le délai d'attente des requêtes IPP (en seconde).
.TP  5
\fB\-V\fP\fI\ version\fP
Définir la version par défaut de IPP à utiliser\ : 1.0, 1.1, 2.0, 2.1, ou
2.2. Sans indication, la version\ 1.1 sera utilisée.
.TP  5
\fB\-X\fP
Indiquer qu’une sortie XML (plist d’Apple) est demandée plutôt qu’en texte
pur.Cette option est incompatible avec les options \fB\-i\fP (intervalle) et
\fB\-n\fP (nombre_répétitions).
.TP  5
\fB\-c\fP
Indiquer qu’une sortie CSV (valeurs séparées par des virgules) est demandée
plutôt qu’en texte pur.
.TP  5
\fB\-d\fP\fI\ nom=valeur\fP
Définir la variable nommée.
.TP  5
\fB\-f\fP\fI\ nom_fichier\fP
Indiquer le nom du fichier de requêtes par défaut pour les tests.
.TP  5
\fB\-i\fP\fI\ secondes\fP
Indiquer que le (dernier) fichier \fIfichier_test\fP sera repris après
l’intervalle donné. Cette option est incompatible avec l’option \fB\-X\fP
(sortie plist XML).
.TP  5
\fB\-l\fP
Définir si une sortie en texte pur est désirée.
.TP  5
\fB\-n\fP \fI\ nombre_répétitions\fP
Indiquer que le (dernier) fichier \fIfichier_test\fP sera repris le nombre de
fois donné. Cette option est incompatible avec l’option \fB\-X\fP (sortie plist
XML).
.TP  5
\fB\-q\fP
Rester silencieux et ne produire aucune sortie
.TP  5
\fB\-t\fP
Définir si le rapport de test de CUPS plutôt qu’une sortie en texte pur est
désiré.
.TP  5
\fB\-v\fP
Indiquer que tous les attributs de requête et réponse seront affichés lors
du mode test (\fB\-t\fP) de CUPS. C’est la sortie XML par défaut.
.SH "CODE DE RETOUR"
Le programme \fBipptool\fP retourne \fB0\fP si tous les tests réussissent, sinon
\fB1\fP.
.SH FICHIERS
Les fichiers standard suivants sont disponibles\ :
.nf
\fIcolor.jpg\fP
\fIcreate\-printer\-subscription.test\fP
\fIdocument\-a4.pdf\fP
\fIdocument\-a4.ps\fP
\fIdocument\-letter.pdf\fP
\fIdocument\-letter.ps\fP
\fIget\-completed\-jobs.test\fP
\fIget\-jobs.test\fP
\fIget\-notifications.test\fP
\fIget\-printer\-attributes.test\fP
\fIget\-subscriptions.test\fP
\fIgray.jpg\fP
\fIipp\-1.1.test\fP
\fIipp\-2.0.test\fP
\fIipp\-2.1.test\fP
\fIipp\-2.2.test\fP
\fIipp\-everywhere.test\fP
\fIonepage\-a4.pdf\fP
\fIonepage\-a4.ps\fP
\fIonepage\-letter.pdf\fP
\fIonepage\-letter.ps\fP
\fIprint\-job.test\fP
\fIprint\-job\-deflate.test\fP
\fIprint\-job\-gzip.test\fP
\fItestfile.jpg\fP
\fItestfile.pcl\fP
\fItestfile.pdf\fP
\fItestfile.ps\fP
\fItestfile.txt\fP
\fIvalidate\-job.test\fP
.fi
.SH CONFORMITÉ
Le programme \fBipptool\fP est particulier à CUPS et est conforme au protocole
IPP jusqu’à la version\ 2.2.
.SH EXEMPLES
Obtenir une liste de travaux terminés pour «\ mon_imprimante\ »\ :
.nf

    ipptool ipp://localhost/printers/mon_imprimante get\-completed\-jobs.test
.fi
.LP
Envoyer des notifications par courriel à «\ user@example.com\ » quand
«\ mon_imprimante\ » change\ :
.nf

    ipptool \-d recipient=mailto:user@example.com \e
        ipp://localhost/printers/mon_imprimante create\-printer\-subscription.test
.fi
.SH "VOIR AUSSI"
\fBipptoolfile\fP(5), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>,  IANA IPP Registry
<URL:\fIhttp://www.iana.org/assignments/ipp\-registrations\fP>, PWG
Internet Printing Protocol Workgroup
<URL:\fIhttp://www.pwg.org/ipp\fP>, RFC 2911
<URL:\fIhttp://tools.ietf.org/html/rfc2911\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: ipptool.man 12140 2014-08-30 01:51:22Z msweet $".
.\"
