.\"
.\" "$Id: ipptoolfile.man 11880 2014-05-16 06:14:11Z msweet $"
.\"
.\" ipptoolfile man page for CUPS.
.\"
.\" Copyright 2010-2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH ipptoolfile 5 CUPS 18\ mai\ 2014 "Apple Inc."
.SH NOM
ipptoolfile \- Format de fichier ipptool
.SH DESCRIPTION
Le programme \fBipptool\fP(1) accepte les fichiers, sans format particulier en
texte pur, qui décrivent une ou plusieurs requêtes IPP. Les commentaires
commencent par le caractère «\ #\ » et se terminent à la fin de la
ligne. Chaque requête est entourée par des accolades, par exemple\ :
.nf

    # Ceci est un commentaire
    {
      # Le nom du test
      NOM «\ Fichier d’impression PostScript\ »

      # La requête à envoyer
      OPERATION Print\-Job
      GROUP operation\-attributes\-tag
      ATTR charset attributes\-charset utf\-8
      ATTR language attributes\-natural\-language en
      ATTR uri printer\-uri $uri
      ATTR name requesting\-user\-name $user
      FILE testfile.ps

      # La réponse à attendre
      STATUS successful\-ok
      EXPECT job\-id OF\-TYPE integer WITH\-VALUE >0
      EXPECT job\-uri OF\-TYPE uri
    }
    {
      # Le nom du test
      NAME "Obtenir les attributs du travail PostScript Job"

      # La requête à envoyer
      OPERATION Get\-Job\-Attributes
      GROUP operation\-attributes\-tag
      ATTR charset attributes\-charset utf\-8
      ATTR language attributes\-natural\-language en
      ATTR uri printer\-uri $uri
      ATTR integer job\-id $job\-id
      ATTR name requesting\-user\-name $user

      # La réponse à attendre
      STATUS successful\-ok
      EXPECT job\-id OF\-TYPE integer WITH\-VALUE $job\-id
      EXPECT job\-uri OF\-TYPE uri
      EXPECT job\-state OF\-TYPE enum WITH\-VALUE 3,4,5,6,7,8,9
      EXPECT job\-originating\-user\-name OF\-TYPE name WITH\-VALUE "$user"
    }
.fi
.SS "DIRECTIVES PRINCIPALES"
Les directives suivantes peuvent être utilisées en dehors d’un \fItest\fP\ :
.TP  5
\fB{ \fP\fItest \fP\fB}\fP
Définir un test.
.TP  5
\fBDEFINE \fP\fInom_variable valeur\fP
Définir la variable dénommée à la valeur donnée. Cela est équivalent à
indiquer «\ \fB\-d\fP \fInom_variable\fP=\fIvaleur\fP\ » sur la ligne de commande de
\fBipptool(8)\fP.
.TP  5
\fBDEFINE\-DEFAULT \fP\fInom_variable valeur\fP
Définir la variable nommée à la valeur donnée si elle n’a pas déjà une
valeur.
.TP  5
\fBFILE\-ID "\fP\fIidentificateur\fP\fB"\fP
Définir la chaîne d’identificateur pour le fichier actuel.
.TP  5
\fBIGNORE\-ERRORS \fP\fIyes\fP
.TP  5
\fBIGNORE\-ERRORS \fP\fIno\fP
Indiquer si, par défaut, \fBipptool\fP(8) ignorera les erreurs et poursuivra
avec les tests suivants.
.TP  5
\fBINCLUDE "\fP\fInom_fichier\fP\fB"\fP
.TP  5
\fBINCLUDE <\fP\fInom_fichier\fP\fB>\fP
Inclure un autre fichier de test. La première façon inclut un fichier
relatif au fichier de test actuel, tandis que la seconde inclut un fichier
du répertoire inclus de \fBipptool\fP(8).
.TP  5
\fBINCLUDE\-IF\-DEFINED \fP\fInom \fP\fB"\fP\fInom_fichier\fP\fB"\fP
.TP  5
\fBINCLUDE\-IF\-DEFINED \fP\fInom \fP\fB<\fP\fInom_fichier\fP\fB>\fP
Inclure un autre fichier de test si la variable nommée est définie. La
première façon inclut un fichier relatif à l’actuel fichier de test, tandis
que la seconde inclut un fichier du répertoire inclus de \fBipptool\fP(8).
.TP  5
\fBINCLUDE\-IF\-NOT\-DEFINED \fP\fInom \fP\fB"\fP\fInom_fichier\fP\fB"\fP
.TP  5
\fBINCLUDE\-IF\-NOT\-DEFINED \fP\fInom \fP\fB<\fP\fInom_fichier\fP\fB>\fP
Inclure un autre fichier de test si la variable nommée n’est pas définie. La
première façon inclut un fichier relatif à l’actuel fichier de test, tandis
que la seconde inclut un fichier du répertoire inclus de \fBipptool\fP(8).
.TP  5
\fBSKIP\-IF\-DEFINED \fP\fInom_variable\fP
.TP  5
\fBSKIP\-IF\-NOT\-DEFINED \fP\fInom_variable\fP
Indiquer que le reste du fichier de test devra être ignoré si la variable
est ou n’est pas définie.
.TP  5
\fBSTOP\-AFTER\-INCLUDE\-ERROR \fP\fIno\fP
.TP  5
\fBSTOP\-AFTER\-INCLUDE\-ERROR \fP\fIyes\fP
Indiquer si les tests seront arrêtés après une erreur dans un fichier inclus
.TP  5
\fBTRANSFER \fP\fIauto\fP
Indiquer que ces tests utiliseront, par défaut,
«\ Transfer\-Encoding:\ chunked\ » lors de requêtes avec fichiers joints et
«\ Content\-Length:\ » pour celles sans fichier joint.
.TP  5
\fBTRANSFER \fP\fIchunked\fP
Indiquer que ces tests utiliseront, par défaut, l’en\-tête de HTTP/1.1
«\ Transfer\-Encoding:\ chunked\ ». C’est le comportement par défaut et
équivalent à indiquer \fB\-c\fP sur la ligne de commande de \fBipptool\fP(8). La
prise en charge pour les requêtes partielles est exigée pour conformité avec
toutes les versions de IPP.
.TP  5
\fBTRANSFER \fP\fItaille\fP
Indiquer que ces tests utiliseront, par défaut, l’en\-tête de HTTP/1.0
«\ Content\-Length:\ ». C’est équivalent à indiquer «\ \fB\-l\fP\ » sur la ligne de
commande de \fBipptool\fP(8). La prise en charge pour les requêtes sur la
taille de contenu est exigée pour conformité avec toutes les versions de
IPP.
.TP  5
\fBVERSION 1.0\fP
.TP  5
\fBVERSION 1.1\fP
.TP  5
\fBVERSION 2.0\fP
.TP  5
\fBVERSION 2.1\fP
.TP  5
\fBVERSION 2.2\fP
Indiquer le numéro de version de IPP à utiliser par défaut pour les tests
ci\-dessous.
.SS "DIRECTIVES DE TEST"
Les directives suivantes sont comprises dans un \fItest\fP\ :
.TP  5
\fBATTR \fP\fIétiquette nom_attribut valeur(s)\fP
.\" character. Common attributes and values are listed in the IANA IPP registry - see references below.
Ajouter un attribut à la requête de test. Les valeurs sont séparées par des
virgules «\ ,\ » —\ le caractère de protection des virgules est«\ "\ ».
.TP  5
\fBATTR collection \fP\fInom_attribut \fP\fB{ MEMBER \fP\fIétiquette nom_membre valeur(s) ... \fP\fB}\fP [ \fI... \fP\fB,{ \fP\fI... \fP\fB} \fP]
Ajouter un attribut d’ensemble à la requête de test. Les attributs de membre
suivent la même syntaxe que les attributs normaux et peuvent être eux\-mêmes
des ensembles emboités. Plusieurs valeurs d’ensemble peuvent être fournies
si nécessaire, séparées par des virgules.
.TP  5
\fBCOMPRESSION \fP\fIdeflate\fP
.TP  5
\fBCOMPRESSION \fP\fIgzip\fP
.TP  5
\fBCOMPRESSION \fP\fInone\fP
Utiliser la compression indiquée pour les données du document qui suit les
attributs dans une tâche d’impression ou une requête d’envoi de document.
.TP  5
\fBDELAY \fP\fIsecondes\fP
Définir le temps d’attente avant l’exécution du test.
.TP  5
\fBDISPLAY \fP\fInom_attribut\fP
Indiquer que la valeur de l’attribut nommé doit être affiché comme faisant
partie du compte\-rendu de test.
.TP  5
\fBEXPECT \fP\fInom_attribut \fP[ \fIprédicat(s) \fP]
.TP  5
\fBEXPECT ?\fP\fInom_attribut prédicat(s)\fP
.TP  5
\fBEXPECT !\fP\fInom_attribut\fP
Indiquer que la réponse doit, ou peut, ou ne doit pas inclure l’attribut
nommé. Des exigences supplémentaires peuvent être ajoutées comme prédicats
—\ consultez la section «\ PREDICATS\ EXPECT\ » pour davantage d’information sur
les prédicats. Les noms d’attribut peuvent indiquer les attributs des
membres en séparant les noms d’attribut et de membre avec une barre oblique
inverse, par exemple, «\ media\-col/media\-size/x\-dimension\ ».
.TP  5
\fBFILE\fP \fInom_fichier\fP
Indiquer un fichier à ajouter à la fin de la requête. Cela est
habituellement utilisé lors de l’envoi d’un fichier de test d’impression.
.TP  5
\fBGROUP\fP \fIétiquette\fP
Indiquer l’étiquette de groupe pour les attributs suivants dans la requête.
.TP  5
\fBIGNORE\-ERRORS \fP\fIyes\fP
.TP  5
\fBIGNORE\-ERRORS \fP\fIno\fP
Indiquer si \fBipptool\fP(8) ignorera les erreurs et continuera avec les tests
suivants.
.TP  5
\fBNAME "\fP\fIchaîne_littérale\fP\fB"\fP
Décrire le nom de test de manière compréhensible aux utilisateurs.
.TP  5
\fBOPERATION \fP\fIcode_opération\fP
Indiquer les opérations à effectuer.
.TP  5
\fBPAUSE "\fP\fImessage\fP\fB"\fP
Afficher le message fourni et attendre l’appui d’une touche par
l’utilisateur pour continuer.
.TP  5
\fBREQUEST\-ID \fP\fInombre\fP
.TP  5
\fBREQUEST\-ID \fP\fIaléatoire\fP
Indiquer la valeur d’identifiant de requête à utiliser dans la requête, soit
un nombre entier soit le mot «\ random\ » pour utiliser une valeur calculée
aléatoirement (comportement par défaut).
.TP  5
\fBRESOURCE \fP\fIchemin\fP
Indiquer un chemin de ressource alternatif pour la requête HTTP POST. Par
défaut, c’est la ressource de l’URI fourni par le programme \fBipptool\fP(8).
.TP  5
\fBSKIP\-IF\-DEFINED \fP\fInom_variable\fP
.TP  5
\fBSKIP\-IF\-NOT\-DEFINED \fP\fInom_variable\fP
Indiquer que l’actuel test sera omis quand la variable est ou n’est pas
définie.
.TP  5
\fBSKIP\-PREVIOUS\-ERROR \fP\fIyes\fP
.TP  5
\fBSKIP\-PREVIOUS\-ERROR \fP\fIno\fP
Indiquer si \fBipptool\fP(8) ignorera le test actuel si le test précédent se
termine sur une erreur ou un succès.
.TP  5
\fBSTATUS \fP\fIcode_état \fP[ \fIprédicat\fP ]
Indiquer la valeur attendue du code d’état de la réponse. Des exigences
supplémentaires peuvent être ajoutées comme prédicats —\ consultez la section
«\ PREDICATS\ STATUS\ » pour davantage d’information sur les prédicats.
.TP  5
\fBTEST\-ID "\fP\fIidentificateur\fP"
Définir une chaîne d’identificateur pour le test actuel.
.TP  5
\fBTRANSFER \fP\fIauto\fP
Indiquer que le test utilisera «\ Transfer\-Encoding:\ chunked\ » si un fichier
est joint ou \ «Content\-Length:\ » sinon.
.TP  5
\fBTRANSFER \fP\fIchunked\fP
Indiquer si le test utilisera les en\-têtes HTTP\ 1.1
«\ Transfer\-Encoding:\ chunked\ ».
.TP  5
\fBTRANSFER \fP\fItaille\fP
Indiquer que ce test utilisera les en\-têtes HTTP/1.0 «\ Content\-Length:\ ».
.TP  5
\fBVERSION 1.0\fP
.TP  5
\fBVERSION 1.1\fP
.TP  5
\fBVERSION 2.0\fP
.TP  5
\fBVERSION 2.1\fP
.TP  5
\fBVERSION 2.2\fP
Indiquer le numéro de version de IPP à utiliser pour ce test.
.SS "PRÉDICATS EXPECT "
Les prédicats ci\-dessous sont compris suivant la directive de test
\fBEXPECT\fP\ :
.TP  5
\fBCOUNT \fP\fInombre\fP
Exiger que l’attribut d’\fBEXPECT\fP ait le nombre indiqué de valeurs.
.TP  5
\fBDEFINE\-MATCH \fP\fInom_variable\fP
Définir la variable à \fB1\fP quand la condition d’\fBEXPECT\fP correspond. Un
effet de bord de ce prédicat est que \fBEXPECT\fP n’échouera jamais à un test.
.TP  5
\fBDEFINE\-NO\-MATCH \fP\fInom_variable\fP
Définir la variable à \fB1\fP quand la condition d’\fBEXPECT\fP ne correspond
pas. Un effet de bord de ce prédicat est que \fBEXPECT\fP n’échouera jamais à
un test.
.TP  5
\fBDEFINE\-VALUE \fP\fInom_variable\fP
Définir la variable à la valeur de l’attribut quand la condition d’\fBEXPECT\fP
correspond. Un effet de bord de ce prédicat est que \fBEXPECT\fP n’échouera
jamais à un test.
.TP  5
\fBIF\-DEFINED \fP\fInom_variable\fP
Appliquer les conditions d’\fBEXPECT\fP seulement si la variable indiquée est
définie.
.TP  5
\fBIF\-NOT\-DEFINED \fP\fInom_variable\fP
Appliquer les conditions d’\fBEXPECT\fP seulement si la variable indiquée n’est
pas définie.
.TP  5
\fBIN\-GROUP \fP\fIétiquette\fP
Exiger que l’attribut d’\fBEXPECT\fP soit dans l’étiquette de groupe indiquée.
.TP  5
\fBOF\-TYPE \fP\fIétiquette[,étiquette,...]\fP
Exiger que l’attribut d’\fBEXPECT\fP utilise la valeur d’étiquette(s) indiquée.
.TP  5
\fBREPEAT\-LIMIT \fP\fInombre\fP
.br
Définir le nombre maximal de répétitions si le prédicat \fBREPEAT\-MATCH\fP ou
\fBREPEAT\-NO\-MATCH\fP est indiqué. La valeur par défaut est\ \fB1000\fP.
.TP  5
\fBREPEAT\-MATCH\fP
.TP  5
\fBREPEAT\-NO\-MATCH\fP
Indiquer si l’actuel test doit être recommencé si la condition \fBEXPECT\fP
correspond ou pas.
.TP  5
\fBSAME\-COUNT\-AS \fP\fInom_attribut\fP
Exiger que l’attribut d’\fBEXPECT\fP ait le même nombre de valeurs que
l’attribut similaire indiqué.
.TP  5
\fBWITH\-ALL\-HOSTNAMES "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-ALL\-HOSTNAMES "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger que toutes les valeurs d’URI contiennent un nom d’hôte correspondant.
.TP  5
\fBWITH\-ALL\-RESOURCES "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-ALL\-RESOURCES "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger que toutes les valeurs d’URI contiennent une ressource correspondante
y compris le «\ /\ » de début)
.TP  5
\fBWITH\-ALL\-SCHEMES "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-ALL\-SCHEMES "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger que toutes les valeurs d’URI contiennent un schéma correspondant.
.TP  5
\fBWITH\-ALL\-VALUES "\fP\fIchaîne_littérale\fP\fB"\fP
Exiger que toutes les valeurs de l’attribut \fBEXPECT\fP correspondent à la
chaîne littérale. Les comparaisons sont sensibles à la casse.
.TP  5
\fBWITH\-ALL\-VALUES <\fP\fInombre\fP
.TP  5
\fBWITH\-ALL\-VALUES =\fP\fInombre\fP
.TP  5
\fBWITH\-ALL\-VALUES >\fP\fInombre\fP
.TP  5
\fBWITH\-ALL\-VALUES \fP\fInombre\fP[\fI,...,nombre\fP]
Exiger que toutes les valeurs de l’attribut \fBEXPECT\fP correspondent au(x)
nombre(s) ou à la comparaison numérique. Lors de la comparaison des valeurs
d’intervalle de nombres entiers, les opérateurs «\ <\ » et «\ >\ »
contrôlent seulement la limite supérieure de l’intervalle.
.TP  5
\fBWITH\-ALL\-VALUES "false"\fP
.TP  5
\fBWITH\-ALL\-VALUES "true"\fP
Exiger que toutes les valeurs de l’attribut \fBEXPECT\fP correspondent à la
valeur booléenne donnée
.TP  5
\fBWITH\-ALL\-VALUES "/\fP\fIexpr_rationnelle\fP\fB/"\fP
Exiger que les valeurs de l’attribut \fBEXPECT\fP correspondent à l’expression
rationnelle, qui doit être conforme à la syntaxe POSIX des expressions
rationnelles. Les comparaisons sont sensibles à la casse.
.TP  5
\fBWITH\-HOSTNAME "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-HOSTNAME "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger qu’au moins une valeur d’URI contienne un nom d’hôte concordant.
.TP  5
\fBWITH\-RESOURCE "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-RESOURCE "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger qu’au moins une valeur d’URI contienne une ressource
correspondante.(y compris le «\ /\ » de début).
.TP  5
\fBWITH\-SCHEME "\fP\fIchaîne_littérale\fP\fB"\fP
.TP  5
\fBWITH\-SCHEME "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger qu’au moins une valeur d’URI contienne un schéma concordant.
.TP  5
\fBWITH\-VALUE "\fP\fIchaîne_littérale\fP\fB"\fP
Exiger qu’au moins une valeur de l’attribut \fBEXPECT\fP corresponde à la
chaîne littérale. Les comparaisons sont sensibles à la casse.
.TP  5
\fBWITH\-VALUE <\fP\fInombre\fP
.TP  5
\fBWITH\-VALUE =\fP\fInombre\fP
.TP  5
\fBWITH\-VALUE >\fP\fInombre\fP
.TP  5
\fBWITH\-VALUE \fP\fInombre\fP[\fI,...,nombre\fP]
Exiger qu’au moins une valeur de l’attribut \fBEXPECT\fP corresponde au(x)
nombre(s) ou à la comparaison numérique. Lors de la comparaison des valeurs
d’intervalle de nombres entiers, les opérateurs «\ <\ » et «\ >\ »
contrôlent seulement la limite supérieure de l’intervalle.
.TP  5
\fBWITH\-VALUE "false"\fP
.TP  5
\fBWITH\-VALUE "true"\fP
Exiger qu’au moins une valeur de l’attribut \fBEXPECT\fP corresponde à la
valeur booléenne donnée
.TP  5
\fBWITH\-VALUE "/\fP\fIexp_rationnelle\fP\fB/"\fP
Exiger qu’au moins une valeur de l’attribut \fBEXPECT\fP corresponde à
l’expression rationnelle, qui doit être conforme à la syntaxe POSIX des
expressions rationnelles. Les comparaisons sont sensibles à la casse.
.SS "PRÉDICATS STATUS "
Les prédicats ci\-dessous sont compris suivant la directive de test
\fBSTATUS\fP\ :
.TP  5
\fBDEFINE\-MATCH \fP\fInom_variable\fP
Définir la variable à \fB1\fP quand le \fBSTATUS\fP correspond. Un effet de bord
de ce prédicat est que ce \fBSTATUS\fP n’échouera jamais à un test.
.TP  5
\fBDEFINE\-NO\-MATCH \fP\fInom_variable\fP
Définir la variable à \fB1\fP quand le \fBSTATUS\fP ne correspond pas. Un effet de
bord de ce prédicat est que ce \fBSTATUS\fP n’échouera jamais à un test.
.TP  5
\fBIF\-DEFINED \fP\fInom_variable\fP
Appliquer le \fBSTATUS\fP seulement si la variable indiquée est définie.
.TP  5
\fBIF\-NOT\-DEFINED \fP\fInom_variable\fP
Appliquer le \fBSTATUS\fP seulement si la variable indiquée n’est pas définie.
.TP  5
\fBREPEAT\-LIMIT \fP\fInombre\fP
.br
Définir le nombre maximal de répétitions. La valeur par défaut est \fB1000\fP.
.TP  5
\fBREPEAT\-MATCH\fP
.TP  5
\fBREPEAT\-NO\-MATCH\fP
Indiquer si le test actuel doit être recommencé si le code de l’état de la
réponse correspond ou ne correspond pas à la valeur indiquée par la
directive \fBSTATUS\fP
.SS "CODES D’OPÉRATION"
Les codes d’opération correspondent aux nombres hexadécimaux (0xHHHH) et
noms de la RFC\ 2911 et d’autres spécifications d’extensions IPP. Voici une
liste complète de noms pris en charge par \fBipptool\fP(8)\ :
.nf

    Activate\-Printer
    CUPS\-Accept\-Jobs
    CUPS\-Add\-Modify\-Class
    CUPS\-Add\-Modify\-Printer
    CUPS\-Authenticate\-Job
    CUPS\-Delete\-Class
    CUPS\-Delete\-Printer
    CUPS\-Get\-Classes
    CUPS\-Get\-Default
    CUPS\-Get\-Devices
    CUPS\-Get\-Document
    CUPS\-Get\-PPD
    CUPS\-Get\-PPDs
    CUPS\-Get\-Printers
    CUPS\-Move\-Job
    CUPS\-Reject\-Jobs
    CUPS\-Set\-Default
    Cancel\-Current\-Job
    Cancel\-Job
    Cancel\-Jobs
    Cancel\-My\-Jobs
    Cancel\-Subscription
    Close\-Job
    Create\-Job
    Create\-Job\-Subscriptions
    Create\-Printer\-Subscriptions
    Deactivate\-Printer
    Disable\-Printer
    Enable\-Printer
    Get\-Job\-Attributes
    Get\-Jobs
    Get\-Notifications
    Get\-Printer\-Attributes
    Get\-Printer\-Support\-Files
    Get\-Printer\-Supported\-Values
    Get\-Subscription\-Attributes
    Get\-Subscriptions
    Hold\-Job
    Hold\-New\-Jobs
    Identify\-Printer
    Pause\-Printer
    Pause\-Printer\-After\-Current\-Job
    Print\-Job
    Print\-URI
    Promote\-Job
    Purge\-Jobs
    Release\-Held\-New\-Jobs
    Release\-Job
    Renew\-Subscription
    Reprocess\-Job
    Restart\-Job
    Restart\-Printer
    Resubmit\-Job
    Resume\-Job
    Resume\-Printer
    Schedule\-Job\-After
    Send\-Document
    Send\-Hardcopy\-Document
    Send\-Notifications
    Send\-URI
    Set\-Job\-Attributes
    Set\-Printer\-Attributes
    Shutdown\-Printer
    Startup\-Printer
    Suspend\-Current\-Job
    Validate\-Document
    Validate\-Job
    Activate\-Printer
    CUPS\-Accept\-Jobs
    CUPS\-Add\-Modify\-Class
    CUPS\-Add\-Modify\-Printer
    CUPS\-Authenticate\-Job
    CUPS\-Delete\-Class
    CUPS\-Delete\-Printer
    CUPS\-Get\-Classes
    CUPS\-Get\-Default
    CUPS\-Get\-Devices
    CUPS\-Get\-Document
    CUPS\-Get\-PPD
    CUPS\-Get\-PPDs
    CUPS\-Get\-Printers
    CUPS\-Move\-Job
    CUPS\-Reject\-Jobs
    CUPS\-Set\-Default
    Cancel\-Current\-Job
    Cancel\-Job
    Cancel\-Jobs
    Cancel\-My\-Jobs
    Cancel\-Subscription
    Close\-Job
    Create\-Job
    Create\-Job\-Subscription
    Create\-Printer\-Subscription
    Deactivate\-Printer
    Disable\-Printer
    Enable\-Printer
    Get\-Job\-Attributes
    Get\-Jobs
    Get\-Notifications
    Get\-Printer\-Attributes
    Get\-Printer\-Support\-Files
    Get\-Printer\-Supported\-Values
    Get\-Subscription\-Attributes
    Get\-Subscriptions
    Hold\-Job
    Hold\-New\-Jobs
    Identify\-Printer
    Pause\-Printer
    Pause\-Printer\-After\-Current\-Job
    Print\-Job
    Print\-URI
    Promote\-Job
    Purge\-Jobs
    Release\-Held\-New\-Jobs
    Release\-Job
    Renew\-Subscription
    Reprocess\-Job
    Restart\-Job
    Restart\-Printer
    Resubmit\-Job
    Resume\-Job
    Resume\-Printer
    Schedule\-Job\-After
    Send\-Document
    Send\-Hardcopy\-Document
    Send\-Notifications
    Send\-URI
    Set\-Job\-Attributes
    Set\-Printer\-Attributes
    Shutdown\-Printer
    Startup\-Printer
    Suspend\-Current\-Job
    Validate\-Document
    Validate\-Job
.fi
.SS "CODES D’ÉTAT"
Les codes d’état correspondent aux nombres hexadécimaux (0xHHHH) et noms de
la RFC\ 2911 et d’autres spécifications d’extensions IPP. Voici une liste
complète de noms pris en charge par \fBipptool\fP(8) \ :
.nf

    client\-error\-account\-authorization\-failed
    client\-error\-account\-closed
    client\-error\-account\-info\-needed
    client\-error\-account\-limit\-reached
    client\-error\-attributes\-not\-settable
    client\-error\-attributes\-or\-values\-not\-supported
    client\-error\-bad\-request
    client\-error\-charset\-not\-supported
    client\-error\-compression\-error
    client\-error\-compression\-not\-supported
    client\-error\-conflicting\-attributes
    client\-error\-document\-access\-error
    client\-error\-document\-format\-error
    client\-error\-document\-format\-not\-supported
    client\-error\-document\-password\-error
    client\-error\-document\-permission\-error
    client\-error\-document\-security\-error
    client\-error\-document\-unprintable\-error
    client\-error\-forbidden
    client\-error\-gone
    client\-error\-ignored\-all\-notifications
    client\-error\-ignored\-all\-subscriptions
    client\-error\-not\-authenticated
    client\-error\-not\-authorized
    client\-error\-not\-found
    client\-error\-not\-possible
    client\-error\-print\-support\-file\-not\-found
    client\-error\-request\-entity\-too\-large
    client\-error\-request\-value\-too\-long
    client\-error\-timeout
    client\-error\-too\-many\-subscriptions
    client\-error\-uri\-scheme\-not\-supported
    cups\-error\-account\-authorization\-failed
    cups\-error\-account\-closed
    cups\-error\-account\-info\-needed
    cups\-error\-account\-limit\-reached
    cups\-see\-other
    redirection\-other\-site
    server\-error\-busy
    server\-error\-device\-error
    server\-error\-internal\-error
    server\-error\-job\-canceled
    server\-error\-multiple\-document\-jobs\-not\-supported
    server\-error\-not\-accepting\-jobs
    server\-error\-operation\-not\-supported
    server\-error\-printer\-is\-deactivated
    server\-error\-service\-unavailable
    server\-error\-temporary\-error
    server\-error\-version\-not\-supported
    successful\-ok
    successful\-ok\-but\-cancel\-subscription
    successful\-ok\-conflicting\-attributes
    successful\-ok\-events\-complete
    successful\-ok\-ignored\-notifications
    successful\-ok\-ignored\-or\-substituted\-attributes
    successful\-ok\-ignored\-subscriptions
    successful\-ok\-too\-many\-events
.fi
.SS ÉTIQUETTES
Les étiquettes de valeur et de groupe correspondent aux noms de la RFC\ 2911
et d’autres spécifications d’extensions IPP. Voici les étiquettes de
groupe\ :
.nf

    document\-attributes\-tag
    event\-notification\-attributes\-tag
    job\-attributes\-tag
    operation\-attributes\-tag
    printer\-attributes\-tag
    subscription\-attributes\-tag
    unsupported\-attributes\-tag
.fi
.LP
Voici les étiquettes de valeur\ :
.nf

    admin\-define
    boolean
    charset
    collection
    dateTime
    default
    delete\-attribute
    enum
    integer
    keyword
    mimeMediaType
    nameWithLanguage
    nameWithoutLanguage
    naturalLanguage
    no\-value
    not\-settable
    octetString
    rangeOfInteger
    resolution
    textWithLanguage
    textWithoutLanguage
    unknown
    unsupported
    uri
    uriScheme
.fi
.SS VARIABLES
Le programme \fBipptool\fP(8) conserve une liste de variables qui peuvent être
utilisées dans n’importe quelle chaîne littérale ou valeur d’attribut en
indiquant «\ \fI$nom_variable\fP\ ». En plus des variables définies en utilisant
l’option «\ \fB\-d\fP\ » ou la directive \fBDEFINE\fP, les variables prédéfinies
suivantes sont disponibles\ :
.TP  5
\fB$$\fP
Insérer un seul caractère «\ $\ ».
.TP  5
\fB$ENV[\fP\fInom\fP\fB]\fP
Insérer la valeur de la variable d’environnement nommée, ou une chaîne vide
si la variable d’environnement n’est pas définie.
.TP  5
\fB$nom_fichier\fP
Insérer le nom de fichier fourni à \fBipptool\fP(8) avec l’option \fB\-f\fP.
.TP  5
\fB$type_fichier\fP
Insérer le type MIME de média pour le nom de fichier fourni à \fBipptool\fP(8)
avec l’option «\ \fB\-f\fP\ ».
.TP  5
\fB$nom_hôte\fP
Insérer le nom d’hôte à partir de l’URI fourni à \fBipptool\fP(8).
.TP  5
\fB$id_travail\fP
Insérer la valeur du dernier identifiant de tâche renvoyée par la réponse
d’un test ou \fB0\fP si aucun identifiant n’a été trouvé.
.TP  5
\fB$uri_travail\fP
Insérer la dernière valeur de l’attribut de l’URI de travail renvoyée par la
réponse d’un test ou une chaîne vide si aucun attribut d’URI n’a été trouvé.
.TP  5
\fB$id_notification_souscription\fP
Insérer la dernière valeur de l’attribut d’identifiant de notification de
souscription renvoyée dans une réponse de test ou \fB0\fP si aucun attribut n’a
été trouvé.
.TP  5
\fB$port\fP
Insérer le numéro du port à partir de l’URI fourni à \fBipptool\fP(8).
.TP  5
\fB$ressource\fP
Insérer le chemin de ressource à partir de l’URI fourni à \fBipptool\fP(8).
.TP  5
\fB$schéma\fP
Insérer le schéma depuis l’URI fourni à \fBipptool\fP(8).
.TP  5
\fB$uri\fP
Insérer l’URI fourni à \fBipptool\fP(8).
.TP  5
\fB$uri_utilisateur\fP
Insérer l'identifiant à partir de l’URI fourni par \fBipptool\fP(8), s’il
existe.
.TP  5
\fB$utilisateur\fP
Insérer le nom de connexion de l’utilisateur actuel.
.SH "VOIR AUSSI"
\fBipptool\fP(1), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>, IANA IPP Registry
<URL:\fIhttp://www.iana.org/assignments/ipp\-registrations\fP>, PWG
Internet Printing Protocol Workgroup
<URL:\fIhttp://www.pwg.org/ipp\fP>, RFC\ 2911
<URL:\fIhttp://tools.ietf.org/html/rfc3911\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: ipptoolfile.man 11880 2014-05-16 06:14:11Z msweet $".
.\"
