.\"
.\" "$Id: lp.man 11922 2014-06-11 23:35:37Z msweet $"
.\"
.\" lp man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH lp 1 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
lp \- Imprimer des fichiers.
.SH SYNOPSIS
\fBlp\fP [ \fB\-E\fP ] [ \fB\-U\fP \fIidentifiant\fP ] [ \fB\-c\fP ] [ \fB\-d\fP
\fIdestination\fP[\fB/\fP\fIinstance\fP] ] [ \fB\-h\fP \fInom_hôte\fP[\fB:\fP\fIport\fP] ] [ \fB\-m\fP
] [ \fB\-n\fP \fInombre_copies\fP ] [ \fB\-o\fP \fIoption\fP[\fB=\fP\fIvaleur\fP] ] [ \fB\-q\fP
\fIpriorité\fP ] [ \fB\-s\fP ] [ \fB\-t\fP \fItitre\fP ] [ \fB\-H\fP \fIméthode\fP ] [ \fB\-P\fP
\fIliste_pages\fP ] [ \fB\-\-\fP ] [ \fIfichier(s)\fP ]
.br
\fBlp\fP [ \fB\-E\fP ] [ \fB\-U\fP \fIidentifiant\fP ] [ \fB\-c\fP ] [ \fB\-h\fP
\fInom_hôte\fP[\fB:\fP\fIport\fP] ] [ \fB\-i\fP \fIid_travail\fP ] [ \fB\-n\fP \fInombre_copies\fP
] [ \fB\-o\fP \fIoption\fP[\fB=\fP\fIvaleur\fP] ] [ \fB\-q\fP \fIpriorité\fP ] [ \fB\-t\fP \fItitre\fP
] [ \fB\-H\fP \fIméthode\fP ] [ \fB\-P\fP \fIliste_pages\fP ]
.SH DESCRIPTION
\fBlp\fP demande l'impression d'un fichier ou modifie un travail d'impression
en attente. Utiliser «\ \fB\-\fP\ » comme nom de fichier pour forcer l'impression
à partir de l'entrée standard.
.SS "LA DESTINATION PAR DÉFAUT"
CUPS fournit plusieurs façons de spécifier la destination par défaut. Les
variables d'environnement «\ \fBLPDEST\fP\ » et «\ \fBPRINTER\fP\ » sont lues en
premier. Si aucune n'est paramétrée, la valeur par défaut spécifiée en
utilisant la commande \fBlpoptions\fP(1) est utilisée, suivie par la valeur par
défaut spécifiée en utilisant la commande \fBlpadmin\fP(8).
.SH OPTIONS
Les options suivantes sont reconnues par \fBlp\fP\ :
.TP  5
\fB\-\-\fP
Marquer la fin des options\ ; à utiliser pour imprimer un fichier dont le nom
commence par un tiret («\ \-\ »).
.TP  5
\fB\-E\fP
Obliger un chiffrement lors de la connexion au serveur.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Indiquer l'identifiant à utiliser pour les connexions au serveur.
.TP  5
\fB\-c\fP
Cette option n'est fournie que pour des raisons de compatibilité avec les
précédentes versions. Sur les systèmes le permettant, elle force la copie du
fichier d'impression dans le répertoire spool avant impression. Avec CUPS,
les fichiers d'impression sont envoyés à l'ordonnanceur à travers IPP. Le
résultat est le même dans les deux cas.
.TP  5
\fB\-d \fP\fIdestination\fP
Imprimer les fichiers sur l'imprimante donnée.
.TP  5
\fB\-h\fP \fInom_hôte\fP[\fB:\fP\fIport\fP]
Utiliser un autre serveur.
.TP  5
\fB\-i\fP \fIid_travail\fP
Indiquer l'identifiant du travail d'impression à modifier.
.TP  5
\fB\-m\fP
Envoyer un courrier électronique lorsque l'impression est terminée.
.TP  5
\fB\-n \fP\fIcopies\fP
Nombre de copies à effectuer.
.TP  5
\fB\-o "\fP\fInom\fP\fB=\fP\fIvaleur \fP[ ... \fInom\fP\fB=\fP\fIvaleur \fP]\fB"\fP
Définir une ou plusieurs options pour le travail d'impression.
.TP  5
\fB\-q\fP \fIpriorité\fP
Définir la priorité du travail d'impression, de \fB1\fP (minimale) à \fB100\fP
(maximale). La priorité par défaut est \fB50\fP.
.TP  5
\fB\-s\fP
Ne pas afficher le numéro du travail (mode silencieux).
.TP  5
\fB\-t "\fP\fInom\fP\fB"\fP
Définir le \fInom\fP du travail.
.TP  5
\fB\-H\fP \fIhh:mm\fP
.TP  5
\fB\-H\fP \fIhold\fP
.TP  5
\fB\-H\fP \fIimmediate\fP
.TP  5
\fB\-H\fP \fIrestart\fP
.TP  5
\fB\-H\fP \fIresume\fP
Définir quand l'impression doit être effectuée. La valeur \fIimmediate\fP
effectue l'impression immédiatement, la valeur \fIhold\fP suspend l'impression
pour un temps indéterminé, une heure (non locale) UTC (HH:MM) suspend
l'impression jusqu'à l'heure donnée. Utilisez la valeur \fIresume\fP avec
l'option \fB\-i\fP pour reprendre un travail suspendu. Utilisez la valeur
\fIrestart\fP avec l'option \fB\-i\fP pour relancer un travail terminé.
.TP  5
\fB\-P\fP \fIliste_pages\fP
Définir quelles sont les pages du document à imprimer. Cette liste peut
contenir des numéros ou des intervalles (#\-#), séparés par des virgules (par
exemple\ : 1,3\-5,16). Les numéros de page font référence à la sortie des
pages et non aux pages originales du document —\ des options telles que
«\ number\-up\ » peuvent affecter la numérotation des pages.
.SS "OPTIONS COMMUNES DES TRAVAUX"
En plus des options spécifiques des imprimantes, indiquées par
\fBlpoptions\fP(1), les options génériques suivantes sont disponibles\ :
.TP  5
\fB\-o media=\fP\fItaille\fP
Fixer la taille du papier à \fItaille\fP. La plupart des imprimantes gèrent au
moins les tailles appelées «\ a4\ », «\ letter\ » et «\ legal\ ».
.TP  5
\fB\-o\fP \fIorientation\-requested=4\fP
Imprimer en mode paysage (rotation de 90 degrés).
.TP  5
\fB\-o\fP \fIsides=one\-sided\fP
Imprimer sur une seule face de feuille.
.TP  5
\fB\-o\fP \fIsides=two\-sided\-long\-edge\fP
Imprimer sur les deux faces de feuille pour une sortie portrait.
.TP  5
\fB\-o\fP \fIsides=two\-sided\-short\-edge\fP
Imprimer sur les deux faces de feuille pour une sortie paysage.
.TP  5
\fB\-o\fP \fIfit\-to\-page\fP
Mettre le fichier à l'échelle pour qu'il prenne la taille de la page.
.TP  5
\fB\-o\fP \fInumber\-up={2|4|6|9|16}\fP
Imprimer \fB2\fP, \fB4\fP, \fB6\fP, \fB9\fP ou \fB16\fP pages (entrée) sur chaque page
produite.
.SH CONFORMITÉ
Contrairement au système d'impression System\ V, les noms d’imprimante CUPS
peuvent contenir n'importe quel caractère imprimable sauf ESPACE,
TABULATION, «\ /\ » ou «\ #\ ». De même, les noms d'imprimante et de classe ne
sont \fBpas\fP sensibles à la casse.
.LP
L'option «\ \fB\-q\fP\ » accepte des valeurs différentes de celles utilisées par
la commande \fBlp\fP de Solaris, correspondant aux valeurs de priorité (1\-100,
100 étant la plus haute priorité), au lieu des valeurs de Solaris (0\-39, 0
étant la plus haute priorité).
.SH EXEMPLES
Imprimer deux copies d’un document sur l’imprimante par défaut\ :
.nf

    lp \-n 2 nom_fichier

.fi
Imprimer en recto\-verso sur une page «\ Legal\ » avec l'imprimante «\ toto\ »\ :
.nf

    lp \-d foo \-o media=legal \-o sides=two\-sided\-long\-edge nom_fichier

.fi
Imprimer une double composition avec l'imprimante «\ toto\ ».
.nf

    lp \-d toto \-o number\-up=2 nom_fichier
.fi
.SH "VOIR AUSSI"
\fBcancel\fP(1), \fBlpadmin\fP(8), \fBlpoptions\fP(1), \fBlpq\fP(1), \fBlpr\fP(1),
\fBlprm\fP(1), \fBlpstat\fP(1), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: lp.man 11922 2014-06-11 23:35:37Z msweet $".
.\"
