.\"
.\" "$Id: lpadmin.man 11922 2014-06-11 23:35:37Z msweet $"
.\"
.\" lpadmin man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH lpadmin 8 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
lpadmin \- Configurer les imprimantes et classes d'imprimantes CUPS.
.SH SYNOPSIS
\fBlpadmin\fP [ \fB\-E\fP ] [\fB\-U\fP \fIidentifiant\fP ] [ \fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
] \fB\-d\fP \fIdestination\fP
.br
\fBlpadmin\fP [ \fB\-E\fP ] [\fB\-U\fP \fIidentifiant\fP ] [ \fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
] \fB\-p\fP \fIdestination\fP [ \fB\-R\fP \fInom_par_défaut\fP] \fIoption(s)\fP
.br
\fBlpadmin\fP [ \fB\-E\fP ] [\fB\-U\fP \fIidentifiant\fP ] [ \fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
] \fB\-x\fP \fIdestination\fP
.SH DESCRIPTION
\fBlpadmin\fP configure les imprimantes et les files d’attente de classes
d'imprimantes fournies par CUPS. Il est également utilisé pour définir
l'imprimante ou classe d'imprimante par défaut.
.LP
Lorsque l'option \fB\-E\fP est indiquée avant les options \fB\-d\fP, \fB\-p\fP ou \fB\-x\fP,
la communication avec le serveur est chiffrée.
.LP
La première méthode d'utilisation de la commande (avec \fB\-d\fP) définit
l'imprimante ou la classe par défaut à \fIdestination\fP. Les impressions
futures demandées par les commandes \fBlp\fP(1) ou \fBlpr\fP(1) utiliseront cette
destination sauf avis contraire de l'utilisateur par l'utilisation de la
commande \fBlpoptions\fP(1).
.LP
La seconde forme de la commande (avec \fB\-p\fP) configure l'imprimante ou la
classe indiquée. Les options supplémentaires sont décrites ci\-dessous.
.LP
La troisième forme de la commande (avec \fB\-x\fP) supprime l'imprimante ou
classe \fIdestination\fP. Tous les travaux d'impression en attente sur cette
destination sont supprimés, et les travaux en cours d'impression sont
arrêtés.
.SH OPTIONS
Les options suivantes sont reconnues pour la configuration d'une file
d'impression\ :
.TP  5
\fB\-c\fP \fIclasse\fP
Ajouter l'imprimante \fIimprimante\fP à la classe \fIclasse\fP. Si la \fIclasse\fP
n'existe pas encore, elle est créée automatiquement.
.TP  5
\fB\-i\fP \fIinterface\fP
Créer un script d'interface style System\ V pour l'imprimante. Cette option
ne peut être utilisée en même temps que l'option \fB\-P\fP (fichier PPD) et est
destinée à la prise en charge des anciennes imprimantes.
.TP  5
\fB\-m \fP\fImodèle\fP
Sets a standard System V interface script or PPD file for the printer from
the \fImodel\fP directory or using one of the driver interfaces.  Use the \fI\-m\fP
option with the \fBlpinfo\fP(8)  command to get a list of supported models.
.TP  5
\fB\-o cupsIPPSupplies=true\fP
.TP  5
\fB\-o cupsIPPSupplies=false\fP
Indiquer si les valeurs de niveau d’équipement IPP doivent être rapportées.
.TP  5
\fB\-o cupsSNMPSupplies=true\fP
.TP  5
\fB\-o cupsSNMPSupplies=false\fP
Indiquer si les valeurs SNMP de niveau d’équipement (RFC\ 3805) doivent être
rapportées.
.TP  5
\fB\-o job\-k\-limit=\fP\fIvaleur\fP
Définir les quotas par utilisateur en kilo\-octets. La valeur est un nombre
entier de kilo\-octets (valant 1\ 024 octets).
.TP  5
\fB\-o job\-page\-limit=\fP\fIvaleur\fP
Définir le nombre maximal de pages disponibles par utilisateur. La valeur
est un nombre entier de pages pouvant être imprimées. Les pages recto verso
comptent pour deux pages.
.TP  5
\fB\-o job\-quota\-period=\fP\fIvaleur\fP
Définir le temps maximal disponible par utilisateur. La valeur est un nombre
entier de secondes. Une journée contient 86\ 400 secondes.
.TP  5
\fB\-o job\-sheets\-default=\fP\fIbannière\fP
.TP  5
\fB\-o job\-sheets\-default=\fP\fIbannière\fP\fB,\fP\fIbannière\fP
Fixer la (les) page(s) de bannière par défaut pour les travaux d'impression.
.TP  5
\fB\-o \fP\fInom\fP\fB=\fP\fIvaleur\fP
Définir une option PPD pour l'imprimante. La liste des options PPD peut être
obtenue en utilisant l'option \fB\-l\fP de la commande \fBlpoptions\fP(1).
.TP  5
\fB\-o \fP\fInom\fP\fB\-default=\fP\fIvaleur\fP
Définir au niveau du serveur une option par défaut pour la
destination. Toute option pouvant être définie au moment de l'impression
peut avoir une valeur par défaut, par exemple «\ \-o number\-up\-default=2\ »
pour définir l'option «\ number\-up\ » par défaut à la valeur\ \fB2\fP.
.TP  5
\fB\-o port\-monitor=\fP\fInom\fP
Fixer le programme à utiliser pour les communications binaires lors de
l'impression\ : «\ none\ », «\ bcp\ » ou «\ tbcp\ ». Le programme par défaut est
«\ none\ ». Le port écouté indiqué doit être listé dans le fichier PPD de
l'imprimante.
.TP  5
\fB\-o printer\-error\-policy=\fP\fInom\fP
Fixer la politique à utiliser en cas d'erreur quand le programme de
transmission responsable de l'impression n'arrive pas à envoyer le travail à
l'imprimante. Le nom doit être soit «\ abort\-job\ » (annuler l'impression),
«\ retry\-job\ » (réessayer), «\ retry\-current\-job\ » (réessayer l'impression en
cours) ou «\ stop\-printer\ » (arrêter l'imprimante). La politique par défaut
en cas d'erreur est «\ stop\-printer\ » pour les imprimantes, et
«\ retry\-current\-job\ » pour les classes.
.TP  5
\fB\-o printer\-is\-shared=true\fP
.TP  5
\fB\-o printer\-is\-shared=false\fP
Placer la destination dans l'état partagée/publique ou non partagée/non
publique. Les destinations partagées/publiques sont annoncées officiellement
par le serveur sur le réseau local, en fonction de la configuration pour les
recherches de \fBcupsd.conf\fP, tandis que les imprimantes non partagées/non
publiques ne sont pas annoncées. La valeur par défaut est «\ true\ ».
.TP  5
\fB\-o printer\-op\-policy=\fP\fInom\fP
Fixer la politique des opérations IPP associée à l'imprimante. Le nom doit
être défini dans \fBcupsd.conf\fP, dans une section «\ Policy\ ». Par défaut, la
politique des opérations est «\ default\ ».
.TP  5
\fB\-R \fP\fInom\fP\fB\-default\fP
Supprimer les options données pour l'\fIimprimante\fP.
.TP  5
\fB\-r \fP\fIclasse\fP
Supprimer l'\fIimprimante\fP de la \fIclasse\fP. Si la classe d'imprimante devient
vide, celle\-ci est supprimée.
.TP  5
\fB\-u allow:\fP{\fIutilisateur\fP|\fB@\fP\fIgroupe\fP}{\fB,\fP\fIutilisateur\fP|\fB,@\fP\fIgroupe\fP}*
.TP  5
\fB\-u deny:\fP{\fIutilisateur\fP|\fB@\fP\fIgroupe\fP}{\fB,\fP\fIutilisateur\fP|\fB,@\fP\fIgroupe\fP}*
.TP  5
\fB\-u\fP \fBallow:\fP\fIall\fP
.TP  5
\fB\-u\fP \fBdeny:\fP\fInone\fP
Définir les accès au niveau utilisateur sur une imprimante. Les noms
commençant par un «\ @\ » sont interprétés comme des groupes UNIX. Les deux
dernières expressions désactivent les contrôles d'accès au niveau
utilisateur.
.TP  5
\fB\-v "\fP\fIuri_périphérique\fP\fB"\fP
Définir l'attribut \fIuri_périphérique\fP de la file d'impression. Utiliser
l'option \fB\-v\fP avec la commande \fBlpinfo\fP(8) pour obtenir une liste des URI
de périphérique géré ainsi que leur schéma.
.TP  5
\fB\-D "\fP\fIinfo\fP\fB"\fP
Définir une description textuelle de la destination.
.TP  5
\fB\-E\fP
Activer la destination et accepter les travaux d'impression. Cela est
identique à l’exécution des programmes \fBcupsaccept\fP(8) et \fBcupsenable\fP(8)
avec cette destination.
.TP  5
\fB\-L "\fP\fIemplacement\fP\fB"\fP
Définir un emplacement textuel de l'imprimante.
.TP  5
\fB\-P \fP\fIfichier_ppd\fP
Définir le fichier PPD («\ Postscript Printer Description\ ») à utiliser avec
cette imprimante. Si cette option est indiquée, elle annule l'option \fB\-i\fP
(script d'interface).
.SH CONFORMITÉ
Contrairement au système d'impression System\ V, CUPS permet des noms
d'imprimantes contenant tout caractère imprimable sauf ESPACE, TABULATION,
«\ /\ » ou «\ #\ ». De plus, les noms d'imprimante et de classe ne sont \fBpas\fP
sensibles à la casse. Enfin, la version CUPS de \fBlpadmin\fP peut demander un
mot de passe, suivant la configuration du système, à la différence de la
version System\ V qui demande le mot de passe du superutilisateur lors de
l'exécution de cette commande.
.SH NOTES
La version CUPS de \fBlpadmin\fP ne reconnaît pas toutes les options de
configuration disponibles dans les versions System\ V ou Solaris.
.SH "VOIR AUSSI"
\fBcupsaccept\fP(8), \fBcupsenable\fP(8), \fBlpinfo\fP(8), \fBlpoptions\fP(1), aide en
ligne de CUPS <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: lpadmin.man 11922 2014-06-11 23:35:37Z msweet $".
.\"
