.\"
.\" "$Id: lpr.man 11922 2014-06-11 23:35:37Z msweet $"
.\"
.\" lpr man page for CUPS.
.\"
.\" Copyright 2007-2013 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH lpr 1 CUPS 11\ juin\ 2014 "Apple Inc."
.SH NOM
lpr \- Imprimer des fichiers.
.SH SYNOPSIS
\fBlpr\fP [ \fB\-E\fP ] [ \fB\-H\fP \fIserveur\fP[\fB:\fP\fIport\fP] ] [ \fB\-U\fP \fIidentifiant\fP ]
[ \fB\-P\fP \fIdestination\fP[\fB/\fP\fIinstance\fP] ] [ \fB\-#\fP \fInombre_copies\fP [ \fB\-h\fP ]
[ \fB\-l\fP ] [ \fB\-m\fP ] [ \fB\-o\fP \fIoption\fP[\fB=\fP\fIvaleur\fP] ] [ \fB\-p\fP] [ \fB\-q\fP ] [
\fB\-r\fP ] [ \fB\-C\fP \fItitre\fP ] [ \fB\-J\fP \fItitre\fP ] [ \fB\-T\fP \fItitre\fP ] [
\fIfichier(s)\fP ]
.SH DESCRIPTION
\fBlpr\fP demande l'impression de fichiers. Les fichiers qui sont donnés dans
la ligne de commande sont envoyés à l’imprimante indiquée (ou la destination
par défaut si aucune n'est fournie). Si aucun fichier n'est donné dans la
ligne de commande, \fBlpr\fP lit le fichier à imprimer sur l'entrée standard.
.SS "LA DESTINATION PAR DÉFAUT"
CUPS fournit plusieurs façons de spécifier la destination par défaut. Les
variables d'environnement «\ \fBLPDEST\fP\ » et «\ \fBPRINTER\fP\ » sont lues en
premier. Si aucune n'est paramétrée, la valeur par défaut spécifiée en
utilisant la commande \fBlpoptions\fP(1) est utilisée, suivie par la valeur par
défaut spécifiée en utilisant la commande \fBlpadmin\fP(8).
.SH OPTIONS
Les options suivantes sont gérées par \fBlpr\fP\ :
.TP  5
\fB\-E\fP
Obliger un chiffrement lors de la connexion au serveur.
.TP  5
\fB\-H\fP \fIserveur\fP[\fB:\fP\fIport\fP]
Indiquer un serveur alternatif.
.TP  5
\fB\-C "\fP\fInom\fP\fB"\fP
.TP  5
\fB\-J "\fP\fInom\fP\fB"\fP
.TP  5
\fB\-T "\fP\fInom\fP\fB"\fP
Définir le nom et titre du travail.
.TP  5
\fB\-P\fP \fIdestination\fP[\fB/\fP\fIinstance\fP]
Imprimer les fichiers sur l'imprimante donnée.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Utiliser un autre \fIidentifiant\fP.
.TP  5
\fB\-#\fP \fIcopies\fP
Nombre de copies à effectuer.
.TP  5
\fB\-h\fP
Désactiver l'impression de la bannière. Cette option est équivalente à
\fB\-o\fP\ \fIjob\-sheets=none\fP.
.TP  5
\fB\-l\fP
Indiquer que le fichier est déjà formaté pour la destination et qu'aucun
filtre n'a besoin d'être appliqué. Cette option est équivalente à
«\ \fB\-o\fP\ \fIraw\fP\ ».
.TP  5
\fB\-m\fP
Envoyer un courrier électronique à la fin du travail d'impression.
.TP  5
\fB\-o\fP \fIoption\fP[\fB=\fP\fIvaleur\fP]
Définir une option pour le travail d'impression.
.TP  5
\fB\-p\fP
Indiquer que chaque page du fichier à imprimer doit avoir un en\-tête ombré
contenant la date, l'heure, le nom du travail d'impression et le numéro de
page. Cette option est équivalente à «\ \fB\-o\fP\ \fIprettyprint\fP\ » et n'est utile
que dans le cas de fichiers texte.
.TP  5
\fB\-q\fP
Suspendre l'impression d'un travail.
.TP  5
\fB\-r\fP
Indiquer que les fichiers nommés doivent être effacés après leur soumission.
.SH NOTES
Les options \fB\-c\fP, \fB\-d\fP, \fB\-f\fP, \fB\-g\fP, \fB\-i\fP, \fBn\fP, \fB\-t\fP, \fB\-v\fP et \fB\-w\fP
ne sont pas gérées par CUPS et donnent un message d'avertissement
lorsqu'elles sont utilisées.
.SH EXEMPLES
Imprimer deux copies d’un document sur l’imprimante par défaut\ :
.nf

    lpr \-# 2 nom_fichier

.fi
Imprimer en recto\-verso sur une page «\ Legal\ » avec l'imprimante «\ toto\ »\ :
.nf

    lpr \-P foo \-o media=legal \-o sides=two\-sided\-long\-edge nom_fichier

.fi
Imprimer une double composition avec l'imprimante «\ toto\ ».
.nf

    lpr \-P foo \-o number\-up=2 nom_fichier
.fi
.SH "VOIR AUSSI"
\fBcancel\fP(1), \fBlp\fP(1), \fBlpadmin\fP(8), \fBlpoptions\fP(1), \fBlpq\fP(1),
\fBlprm\fP(1), \fBlpstat\fP(1), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: lpr.man 11922 2014-06-11 23:35:37Z msweet $".
.\"
