.\"
.\" "$Id: lpstat.man 11924 2014-06-12 19:10:33Z msweet $"
.\"
.\" lpstat man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH lpstat 1 CUPS 12\ juin\ 2014 "Apple Inc."
.SH NOM
lpstat \- Afficher l'état de CUPS.
.SH SYNOPSIS
\fBlpstat\fP [ \fB\-E\fP ] [\fB\-H\fP] [ \fB\-U\fP \fIidentifiant\fP ] [ \fB\-h\fP
\fInom_hôte\fP[\fB:\fP\fIport\fP] ] [ \fB\-l\fP ] [ \fB\-W\fP \fIquels_travaux\fP ] [ \fB\-a\fP [
\fIdestination(s)\fP ] ] [ \fB\-c\fP [ \fIclass(es)\fP ] ] [ \fB\-d\fP ] [ \fB\-o\fP [
\fIdestination(s)\fP ] ] [ \fB\-p\fP [ \fIimprimante(s)\fP ] ] [ \fB\-r\fP ] [ \fB\-R\fP ] [
\fB\-s\fP ] [ \fB\-t\fP ] [ \fB\-u\fP [ \fIutilisateur(s)\fP ] ] [ \fB\-v\fP [ \fIimprimante(s)\fP
] ]
.SH DESCRIPTION
\fBlpstat\fP affiche l'état des classes, travaux et imprimantes. Quand
\fBlpstat\fP est lancé sans arguments, la liste des travaux en attente de
l'utilisateur est affichée.
.SH OPTIONS
\fBlpstat\fP gère les options suivantes\ :
.TP  5
\fB\-E\fP
Obliger un chiffrement lors de la connexion au serveur.
.TP  5
\fB\-H\fP
Afficher le nom d’hôte du serveur et son port.
.TP  5
\fB\-R\fP
Afficher le rang des travaux d'impression.
.TP  5
\fB\-U\fP \fIidentifiant\fP
Utiliser un autre \fIidentifiant\fP.
.TP  5
\fB\-W\fP \fIquels_travaux\fP
Indiquer quels travaux afficher\ : «\ completed\ » (les travaux terminés) ou
«\ not\-completed\ » (les travaux non terminés, option par défaut). Cette
option \fBdoit\fP être précisée avant l'option \fB\-o\fP et/ou les noms
d'imprimantes, sinon la valeur par défaut («\ not\-completed\ ») sera utilisée
pour la requête à l'ordonnanceur.
.TP  5
\fB\-a\fP [\fIimprimante(s)\fP]
Afficher si les files d'attente des imprimantes acceptent des travaux
d'impression. Si aucune imprimante n'est fournie dans la ligne de commande,
toutes les imprimantes sont prises en compte.
.TP  5
\fB\-c\fP [\fIclasse(s)\fP]
Afficher les classes d'imprimantes et les imprimantes associées. Si aucune
classe n'est fournie dans la ligne de commande, toutes les classes sont
affichées.
.TP  5
\fB\-d\fP
Afficher la destination par défaut.
.TP  5
\fB\-h\fP \fIserveur\fP[\fB:\fP\fIport\fP]
Indiquer un serveur alternatif.
.TP  5
\fB\-l\fP
Afficher une liste détaillée des imprimantes, classes et travaux
d'impression.
.TP  5
\fB\-o\fP [\fIdestination(s)\fP]
Afficher la file d'attente des travaux des destinations indiquées. Si aucune
destination n'est fournie dans la ligne de commande, tous les travaux sont
affichés.
.TP  5
\fB\-p\fP [\fIimprimante(s)\fP]
Afficher les imprimantes et indiquer si elles sont prêtes ou non à
l'impression. Si aucune imprimante n'est fournie dans la ligne de commande,
toutes les imprimantes sont listées.
.TP  5
\fB\-r\fP
Afficher si le serveur CUPS est actif.
.TP  5
\fB\-s\fP
Afficher un résumé de l'état, comprenant la destination par défaut, la liste
des classes et leurs imprimantes associées, la liste des imprimantes et
leurs périphériques associés. Cela est équivalent à utiliser les options
\fB\-d\fP, \fB\-c\fP et \fB\-p\fP.
.TP  5
\fB\-t\fP
Afficher toutes les informations d’état. Cela peut être effectué en
utilisant les options \fB\-r\fP, \fB\-d\fP, \fB\-c\fP, \fB\-v\fP, \fB\-a\fP, \fB\-p\fP et \fB\-o\fP.
.TP  5
\fB\-u\fP [\fIutilisateur(s)\fP]
Afficher les travaux d'impression en attente pour un utilisateur. Si aucun
utilisateur n'est fourni dans la ligne de commande, afficher les travaux de
l'utilisateur du moment.
.TP  5
\fB\-v\fP [\fIimprimante(s)\fP]
Afficher les imprimantes et à quel périphérique elles sont rattachées. Si
aucune imprimante n'est fournie sur la ligne de commande, toutes les
imprimantes sont affichées.
.SH CONFORMITÉ
Contrairement au système d'impression System\ V, CUPS permet des noms
d'imprimante contenant tout caractère imprimable sauf ESPACE, TABULATION,
«\ /\ » et «\ #\ ». De plus, les noms d'imprimante et de classe d'imprimante ne
sont \fBpas\fP sensibles à la casse.
.LP
Les options \fB\-h\fP, \fB\-E\fP, \fB\-U\fP et \fB\-W\fP sont spécifiques à CUPS.
.LP
Les options \fB\-f\fP, \fB\-P\fP et \fB\-S\fP de Solaris sont ignorées sans affichage.
.SH "VOIR AUSSI"
\fBcancel\fP(1), \fBlp\fP(1), \fBlpq\fP(1), \fBlpr\fP(1), \fBlprm\fP(1), aide en ligne de
CUPS <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: lpstat.man 11924 2014-06-12 19:10:33Z msweet $".
.\"
