.\"
.\" "$Id: mime.convs.man 11924 2014-06-12 19:10:33Z msweet $"
.\"
.\" mime.convs man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH mime.convs 5 CUPS 12\ juin\ 2014 "Apple Inc."
.SH NOM
mime.convs \- Fichier de conversion des types MIME pour CUPS.
.SH DESCRIPTION
Le fichier \fImime.convs\fP définit les filtres disponibles pour convertir des
fichiers d'un format vers un autre. Les filtres standards concernent les
fichiers textes, PDF, PostScript, ainsi que de nombreux formats graphiques.
.LP
Des filtres supplémentaires peuvent être ajoutés avec l’extension \fI.convs\fP
dans le répertoire de configuration de CUPS.
.LP
Chaque ligne du fichier \fImime.convs\fP est un commentaire, une ligne vide ou
une définition de filtre. Les commentaires commencent par le caractère
«\ #\ ». Les lignes contenant un filtre indiquent les types MIME source et
cible, le coût virtuel du filtre, puis le filtre lui\-même\ :
.nf

    source/type destination/type coût filtre

.fi
Le champ \fIsource/type\fP précise le type MIME du média source utilisé par le
filtre.
.LP
Le champ \fIdestination/type\fP précise le type MIME du média de destination
produit par le filtre.
.LP
Le champ \fIcoût\fP précise le coût relatif d’exécution du filtre. Une valeur
de \fB100\fP signifie que le filtre emploie une ressource importante, et \fB0\fP
une très petite quantité.
.LP
Le champ \fIfiltre\fP précise le nom de fichier du programme de filtre. Les
noms de fichier sont en rapport avec le répertoire des filtres CUPS.
.SH FICHIERS
\fI/etc/cups\fP —\ répertoire de configuration classique de CUPS.
.br
\fI/usr/lib/cups/filter\fP —\ répertoire de configuration classique des filtres
CUPS.
.br
\fI/usr/libexec/cups/filter\fP \- répertoire de filtres CUPS pour OS\ X.
.SH EXEMPLES
Définir un filtre convertissant des documents PostScript au format Raster de
CUPS\ :
.nf

    application/vnd.cups\-postscript application/vnd.cups\-raster 50 pstoraster

.fi
.SH "VOIR AUSSI"
\fBcups\-files.conf\fP(5), \fBcupsd.conf\fP(5), \fBcupsd\fP(8), \fBcupsfilter\fP(8),
\fBmime.types\fP(5), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: mime.convs.man 11924 2014-06-12 19:10:33Z msweet $".
.\"
