.\"
.\" "$Id: mime.types.man 11924 2014-06-12 19:10:33Z msweet $"
.\"
.\" mime.types man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH mime.types 5 CUPS 12\ juin\ 2014 "Apple Inc."
.SH NOM
mime.types \- Fichier de description des types MIME de CUPS.
.SH DESCRIPTION
Le fichier \fImime.types\fP définit les types de fichier reconnus par CUPS.
.LP
Des filtres supplémentaires peuvent être ajoutés dans des fichiers avec
l’extension \fI.types\fP dans le répertoire de configuration de CUPS.
.LP
Chaque ligne du fichier \fImime.types\fP est soit un commentaire, soit une
ligne vide, soit une règle. Les commentaires commencent par le caractère
«\ #\ ». Les lignes définissant une règle commencent par le nom du type MIME
de média et peuvent être suivies par une liste de règles de reconnaissance
de fichier\ :
.nf

    \fImime/type \fP[ \fIrègle \fP... \fIrègle \fP]

.fi
Les règles peuvent comportées plusieurs lignes en utilisant une barre
oblique inverse (\e)\ :
.nf

 \fImime/type \fP[ \fItrès_très_longue_règle \fP... \fB\e
      \fP\fIrègle \fP]

.fi
Les noms de type de média MIME précisés dans le champ \fImime\-type\fP ne sont
pas sensibles à la casse et sont triés par ordre alphanumérique croissant à
des fins de correspondance. Veuillez lire la section «\ CORRESPONDANCE DE
TYPE ET PRIORITÉ\ » pour plus d'information.
.LP
Ces règles peuvent être groupées avec des parenthèses, liées par un «\ +\ »
pour exprimer un ET logique, «\ ,\ » ou une espace pour exprimer un OU
logique, et «\ !\ » pour exprimer un NON logique.
.SS RÈGLES
Les règles sont composées de deux parties\ : une extension de nom de fichier
et des valeurs de test entre parenthèses. Les fonctions suivantes peuvent
être utilisées\ :
.TP  5
\fBmatch("\fP\fImotif\fP\fB")\fP
Vrai si le nom de fichier correspond au caractère générique fourni \fImotif\fP.
.TP  5
\fBascii\fP(\fIdécalage\fP\fB,\fP\fItaille\fP)
Vrai si tous les octets de \fItaille\fP commençant à \fIdécalage\fP sont des
caractères ASCII imprimables valables (CR, NL, TAB, BS, 32\-126).
.TP  5
\fBprintable(\fP\fIdécalage\fP\fB,\fP\fItaille\fP\fB)I\fP
Vrai si tous les octets de \fItaille\fP commençant à \fIdécalage\fP sont des
caractères 8\ bits imprimables (CR, NL, TAB, BS, 32\-126, 128\-254).
.TP  5
\fBpriorité(\fP\fInombre\fP\fB)\fP
Indiquer la priorité relative de ce type MIME de média. La priorité par
défaut est \fB100\fP. Les valeurs plus importantes ont une priorité plus haute
tandis que les valeurs moins importantes ont une priorité plus basse.
.TP  5
\fBstring(\fP\fIdécalage\fP\fB,"\fP\fIchaîne\fP\fB")\fP
Vrai si les octets commençant à \fIdécalage\fP sont identiques à \fIchaîne\fP.
.TP  5
\fBistring(\fP\fIdécalage\fP\fB,"\fP\fIchaîne\fP\fB")\fP
Vrai si tous les octets commençant à \fIdécalage\fP correspondent à \fIchaîne\fP
sans considération de casse.
.TP  5
\fBchar(\fP\fIdécalage\fP\fB,\fP\fIvaleur\fP\fB)\fP
Vrai si l’octet à \fBdécalage\fP est identique à \fIvaleur\fP
.TP  5
\fBshort(\fP\fIdécalage\fP\fB,\fP\fIvaleur\fP\fB)\fP
Vrai si les nombres entiers gros\-boutiens (16\ bits) sont identiques à
\fIvaleur\fP.
.TP  5
\fBint(\fP\fIdécalage\fP\fB,\fP\fIvaleur\fP\fB)\fP
Vrai si les nombres entiers gros\-boutiens (32\ bits) sont identiques à
\fIvaleur\fP.
.TP  5
\fBlocale("\fP\fIchaîne\fP\fB")\fP
Vrai si le langage local correspond à \fIchaîne\fP.
.TP  5
\fBcontains(\fP\fIdécalage\fP\fB,\fP\fIintervalle\fP\fB,"\fP\fIchaîne\fP\fB")\fP
Vrai si les octets commençant à \fIdécalage\fP pour \fIintervalle\fP octets
contiennent \fIchaîne\fP.
.SS "CHAÎNES DE CARACTÈRES"
Les chaînes de caractères peuvent être définies entre guillemets ("") pour
des chaînes contenant des espaces ou entre chevrons (<>) pour des
chaînes en hexadécimal.
.SS "CORRESPONDANCE DE TYPE ET PRIORITÉ"
Lorsque CUPS a besoin de déterminer le type MIME de média d'un fichier, il
vérifie tous les types de média MIME définis dans les fichiers
\&\fI.types\fP. Lorsque deux ou plusieurs types correspondent à un fichier donné,
le type choisi dépendra du nom du type et de sa priorité\ : les types de plus
haute priorité sont préférés à ceux de priorité plus basse. Si les types ont
une priorité identique, les noms des types sont triés par ordre
alphanumérique ascendant, et le premier type est sélectionné.
.LP
Par exemple, si deux types «\ text/titi\ » et «\ text/toto\ » sont définis comme
correspondants à l'extension «\ doc\ », normalement le type «\ text/titi\ » sera
choisi car son nom est de manière alphanumérique moindre que
«\ text/toto\ ». Cependant si «\ text/toto\ » est également défini avec une
priorité plus haute que «\ text/titi\ », «\ texte/toto\ » sera choisi à la
place.
.SH FICHIERS
\fI/etc/cups\fP —\ répertoire de configuration classique de CUPS.
.SH EXEMPLES
Définir deux types MIME de média pour des données Raster, l’un étant un
sous\-ensemble avec une haute priorité\ :
.nf

    application/vnd.cups\-raster  string(0,"RaSt") string(0,"tSaR") \e
                                  string(0,"RaS2") string(0,"2SaR") \e
                                  string(0,"RaS3") string(0,"3SaR")

    image/pwg\-raster              string(0,"RaS2") + \e
                                  string(4,PwgRaster<00>) priority(150)
.fi
.SH "VOIR AUSSI"
\fBcups\-files.conf\fP(5), \fBcupsd.conf\fP(5), \fBcupsd\fP(8), \fBcupsfilter\fP(8),
\fBmime.convs\fP(5), aide en ligne de CUPS
<URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: mime.types.man 11924 2014-06-12 19:10:33Z msweet $".
.\"
