.\"
.\" "$Id: ppdcfile.man 11925 2014-06-12 19:36:12Z msweet $"
.\"
.\" ppdcfile man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2007 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH ppdcfile 5 CUPS 12\ juin\ 2014 "Apple Inc."
.SH NOM
ppdcfile \- Format de fichier source ppd pour compilateur CUPS
.SH DESCRIPTION
Le compilateur PPD de CUPS lit les fichiers de métadonnées qui contiennent
un ou plusieurs fichiers PPD devant être créés par \fBppdc\fP(1). Cette page de
manuel décrit de manière succincte les mots\-clefs pris en charge et devrait
être utilisée de concert avec l’aide en ligne de CUPS.
.PP
Le fichier source est au format texte pur ASCII et peut être édité avec
n’importe quel éditeur de texte. Les commentaires sont pris en charge en
utilisant les mécanismes C\ (/* ... */) et C++.
.PP
Les informations sur les pilotes d’imprimante peuvent être groupées et
partagées en utilisant des accolades ({ ... })\ ; les fichiers PPD sont
écrits lorsqu’une directive PCFileName a été définie.
.PP
Les directives peuvent être placées n’importe où sur une ligne et sont
suivies par une ou plusieurs valeurs. Ce qui suit constitue la liste des
directives disponibles et leurs valeurs acceptées\ :
.TP  5
\fB#define \fP\fInom valeur\fP
.TP  5
\fB#elif \fP{\fInom \fP| \fIvaleur\fP}
.TP  5
\fB#else\fP
.TP  5
\fB#endif\fP
.TP  5
\fB#font \fP\fInom encodage "version" état jeu de caractères\fP
.TP  5
\fB#if \fP{\fInom \fP| \fIvaleur\fP}
.TP  5
\fB#include <\fP\fInom_fichier\fP\fB>\fP
.TP  5
\fB#include "\fP\fInom_fichier\fP\fB"\fP
.TP  5
\fB#media \fP\fInom largeur hauteur\fP
.TP  5
\fB#media "\fP\fInom\fP\fB/\fP\fItexte\fP\fB" \fP\fIlargeur hauteur\fP
.TP  5
\fB#po \fP\fIlocale \fP\fB"\fP\fInom_fichier\fP\fB"\fP
.TP  5
\fBAttribute \fP\fInom \fP\fB"" \fP\fIvaleur\fP
.TP  5
\fBAttribute \fP\fInom mot\-clef valeur\fP
.TP  5
\fBAttribute \fP\fInom \fP\fB"\fP\fImot\-clef\fP\fB/\fP\fItexte\fP\fB" \fP\fIvaleur\fP
.TP  5
\fBChoice \fP\fInom \fP\fB"\fP\fIcode\fP\fB"\fP
.TP  5
\fBChoice "\fP\fInom\fP\fB/\fP\fItexte\fP\fB" "\fP\fIcode\fP\fB"\fP
.TP  5
\fBColorDevice \fP\fIvaleur_booléenne\fP
.TP  5
\fBColorModel \fP\fInom espace_colorimétrique ordre_des_couleurs compression\fP
.TP  5
\fBColorModel "\fP\fInom\fP\fB/\fP\fItexte\fP\fB" \fP\fInom espace_colorimétrique ordre_des_couleurs compression\fP
.TP  5
\fBColorProfile \fP\fIrésolution\fP\fB/\fP\fItype_média gamma densité_matrice\fP
.TP  5
\fBCopyright "\fP\fItexte\fP"
.TP  5
\fBCustomMedia \fP\fInom largeur hauteur gauche bas droite haut \fP\fB"\fP\fIcode_dimension\fP\fB" "\fP\fIcode_région\fP\fB"\fP
.TP  5
\fBCustomMedia "\fP\fInom\fP\fB/\fP\fItexte\fP\fB" \fP\fIlargeur hauteur gauche bas droite haut \fP\fB"\fP\fIcode_dimension\fP\fB" "\fP\fIcode_région\fP\fB"\fP
.TP  5
\fBCutter \fP\fIvaleur_booléenne\fP
.TP  5
\fBDarkness \fP\fItempérature nom\fP
.TP  5
\fBDarkness \fP\fItempérature \fP\fB"\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBDriverType \fP\fItype\fP
.TP  5
\fBDuplex \fP\fItype\fP
.TP  5
\fBFilter \fP\fItype_mime coût programme\fP
.TP  5
\fBFinishing \fP\fInom\fP
.TP  5
\fBFinishing "\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBFont *\fP
.TP  5
\fBFont \fP\fInom encodage \fP\fB"\fP\fIversion\fP\fB" \fP\fIjeu_de_caractères état\fP
.TP  5
\fBGroup \fP\fInom\fP
.TP  5
\fBGroup "\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBHWMargins \fP\fIgauche bas droite haut\fP
.TP  5
\fBInputSlot \fP\fIposition nom\fP
.TP  5
\fBInputSlot \fP\fIposition \fP\fB"\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBInstallable \fP\fInom\fP
.TP  5
\fBInstallable "\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBLocAttribute \fP\fInom \fP\fB"\fP\fImot\-clef\fP\fB/\fP\fItexte\fP\fB" \fP\fIvaleur\fP
.TP  5
\fBManualCopies \fP\fIvaleur_booléenne\fP
.TP  5
\fBManufacturer "\fP\fInom\fP\fB"\fP
.TP  5
\fBMaxSize \fP\fIlargeur hauteur\fP
.TP  5
\fBMediaSize \fP\fInom\fP
.TP  5
\fBMediaType \fP\fItype nom\fP
.TP  5
\fBMediaType \fP\fItype \fP\fB"\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBMinSize \fP\fIlargeur hauteur\fP
.TP  5
\fBModelName "\fP\fInom\fP\fB"\fP
.TP  5
\fBModelNumber \fP\fInuméro\fP
.TP  5
\fBOption \fP\fInom type section ordre\fP
.TP  5
\fBOption "\fP\fInom\fP\fB/\fP\fItexte\fP\fB" \fP\fItype section ordre\fP
.TP  5
\fBPCFileName "\fP\fInom_fichier.ppd\fP\fB"\fP
.TP  5
\fBResolution \fP\fIespace_colorimétrique octets_par_couleur row\-count row\-feed row\-step nom\fP
.TP  5
\fBResolution \fP\fIespace_colorimétrique octets_par_couleur row\-count row\-feed row\-step \fP\fB"\fP\fInom\fP\fB/\fP\fItexte\fP\fB"\fP
.TP  5
\fBSimpleColorProfile \fP\fIrésolution\fP\fB/\fP\fItype_média densité densité_jaune density_rouge gamma ajustement_rouge ajustement_vert ajustement_bleu\fP
.TP  5
\fBThroughput \fP\fIpages_par_minute\fP
.TP  5
\fBUIConstraints "\fP\fI*Option1 *Option2\fP\fB"\fP
.TP  5
\fBUIConstraints "\fP\fI*Option1 Choix1 *Option2\fP\fB"\fP
.TP  5
\fBUIConstraints "\fP\fI*Option1 *Option2 Choix2\fP\fB"\fP
.TP  5
\fBUIConstraints "\fP\fI*Option1 Choix1 *Option2 Choix2\fP\fB"\fP
.TP  5
\fBVariablePaperSize \fP\fIvaleur_booléenne\fP
.TP  5
\fBVersion \fP\fInuméro\fP
.SH "VOIR AUSSI"
\fBppdc\fP(1), \fBppdhtml\fP(1), \fBppdi\fP(1), \fBppdmerge\fP(1), \fBppdpo\fP(1), aide en
ligne de CUPS <URL:\fIhttp://localhost:631/help\fP>
.SH COPYRIGHT
Copyright 2007\-2014 par Apple Inc.
.\"
.\" End of "$Id: ppdcfile.man 11925 2014-06-12 19:36:12Z msweet $".
.\"
